//+------------------------------------------------------------------+
//|                                                            1.mq4 |
//|                                                                * |
//|                                                                * |
//+------------------------------------------------------------------+
#property copyright "Integer"
#property link      "for-good-letters@yandex.ru"

#property indicator_chart_window

extern color Color=White;
extern int FontSize=8;
extern int Corner=0;
extern int X=250;
extern int Y=1; 

string FSymbol;

int init(){
   string CName;
   FSymbol=FullSymbol(Symbol(),true,CName);
}

int deinit(){
   ObjectDelete("FullSymbol");
}

int start(){
   
   fObjLabel(
      "FullSymbol",
      X,
      Y,
      Symbol()+" - "+FSymbol,
      Corner,
      Color,
      FontSize
   );

   return(0);
}

void fObjLabel(
   string aObjectName,     // 1 
   int aX,                 // 2 
   int aY,                 // 3 
   string aText,           // 4 
   int aCorner=0,          // 5    0  1
                           //          2  3
   color aColor=Red,       // 6 
   int aFontSize=8,        // 7  
   int aWindowNumber=0,    // 8 
   string aFont="Arial",   // 9 
   bool aBack=false        // 10 
   ){     
   
   // fLabel("",10,10,"");
   // fLabel("",10,10,"",0,Red,8,0,"Arial",false);
    
      if(ObjectFind(aObjectName)!=aWindowNumber){
         ObjectCreate(aObjectName,OBJ_LABEL,aWindowNumber,0,0);
      }      
   ObjectSet(aObjectName,OBJPROP_XDISTANCE,aX);
   ObjectSet(aObjectName,OBJPROP_YDISTANCE,aY);   
   ObjectSetText(aObjectName,aText,aFontSize,aFont,aColor);
   ObjectSet(aObjectName,OBJPROP_BACK,aBack);
   ObjectSet(aObjectName,OBJPROP_CORNER,aCorner);   
}


string FullSymbol(string aSymbol,bool aCheckCompany,string & aCompanyName){
   string CompName[]={"MoneyRain Corporation","Water House Capital Ltd.","Straighthold Investment Group, Inc.","North Finance Company Ltd","Alpari Ltd."};
   string AllSymbols[]={

   /*MoneyRain Corporation*/

   "EURUSD","Euro vs US Dollar","0",
   "EURUSDprof","Euro vs US Dollar (prof)","0",
   "EURUSDmini","Euro vs US Dollar","0",
   "GBPUSDprof","Great Britain Pound vs US Dollar (prof)","0",
   "GBPUSD","Great Britain Pound vs US Dollar","0",
   "GBPUSDmini","Great Britain Pound vs US Dollar","0",
   "USDJPYprof","US Dollar vs Japanese Yen","0",
   "USDJPY","US Dollar vs Japanese Yen","0",
   "USDJPYmini","US Dollar vs Japanese Yen","0",
   "USDCHFprof","US Dollar vs Swiss Franc","0",
   "USDCHF","US Dollar vs Swiss Franc","0",
   "USDCHFmini","US Dollar vs Swiss Franc","0",
   "AUDUSDprof","Australian Dollar vs US Dollar","0",
   "AUDUSD","Australian Dollar vs US Dollar","0",
   "AUDUSDmini","Australian Dollar vs US Dollar","0",
   "USDCADprof","US Dollar vs Canadian Dollar","0",
   "USDCAD","US Dollar vs Canadian Dollar","0",
   "USDCADmini","US Dollar vs Canadian Dollar","0",
   "NZDUSDprof","New Zealand Dollar vs US Dollar","0",
   "NZDUSD","New Zealand Dollar vs US Dollar","0",
   "NZDUSDmini","New Zealand Dollar vs US Dollar","0",
   "EURGBPprof","Euro vs Great Britain Pound","0",
   "EURGBP","Euro vs Great Britain Pound","0",
   "EURGBPmini","Euro vs Great Britain Pound","0",
   "EURCHFprof","Euro vs Swiss Franc","0",
   "EURCHF","Euro vs Swiss Franc","0",
   "EURCHFmini","Euro vs Swiss Franc","0",
   "EURJPYprof","Euro vs Japanise Yen","0",
   "EURJPY","Euro vs Japanise Yen","0",
   "EURJPYmini","Euro vs Japanise Yen","0",
   "GBPJPYprof","Great Britan Pound vs Japanise Yen","0",
   "GBPJPY","Great Britan Pound vs Japanise Yen","0",
   "GBPJPYmini","Great Britan Pound vs Japanise Yen","0",
   "CHFJPYprof","Swiss Franc vs Japanise Yen","0",
   "CHFJPY","Swiss Franc vs Japanise Yen","0",
   "CHFJPYmini","Swiss Franc vs Japanise Yen","0",
   "CADJPYprof","Canadian Dollar vs Japanise Yen","0",
   "CADJPY","Canadian Dollar vs Japanise Yen","0",
   "CADJPYmini","Canadian Dollar vs Japanise Yen","0",
   "SGDJPYprof","Singapore Dollarr vs Japanise Yen","0",
   "SGDJPY","Singapore Dollar vs Japanise Yen","0",
   "SGDJPYmini","Singapore Dollar vs Japanise Yen","0",
   "GBPCHFprof","Great Britan Pound vs Swiss Franc","0",
   "GBPCHF","Great Britan Pound vs Swiss Franc","0",
   "GBPCHFmini","Great Britan Pound vs Swiss Franc","0",
   "AUDJPYprof","Australian Dollar vs Japanise Yen","0",
   "AUDJPY","Australian Dollar vs Japanise Yen","0",
   "AUDJPYmini","Australian Dollar vs Japanise Yen","0",
   "NZDJPYprof","New Zealand Dollar vs Japanise Yen","0",
   "NZDJPY","New Zealand Dollar vs Japanise Yen","0",
   "NZDJPYmini","New Zealand Dollar vs Japanise Yen","0",
   "AUDCHFprof","Australian Dollar vs Swiss Franc","0",
   "AUDCHF","Australian Dollar vs Swiss Franc","0",
   "AUDCHFmini","Australian Dollar vs Swiss Franc","0",
   "NZDCHFprof","New Zealand Dollar vs Swiss Franc","0",
   "NZDCHF","New Zealand Dollar vs Swiss Franc","0",
   "NZDCHFmini","New Zealand Dollar vs Swiss Franc","0",
   "USDSGDprof","US Dollar   s Singapore Dollar","0",
   "USDSGD","US Dollar vs Singapore Dollar","0",
   "USDSGDmini","US Dollar vs Singapore Dollar","0",
   "EURSGDprof","Euro vs Singapore Dollar","0",
   "EURSGD","Euro vs Singapore Dollar","0",
   "EURSGDmini","Euro vs Singapore Dollar","0",
   "GBPSGDprof","Great Britain Pound vs Singapore Dollar","0",
   "GBPSGD","Great Britain Pound vs Singapore Dollar","0",
   "GBPSGDmini","Great Britain Pound vs Singapore Dollar","0",
   "CHFSGDprof","Swiss Franc vs Singapore Dollar","0",
   "CHFSGD","Swiss Franc vs Singapore Dollar","0",
   "CHFSGDmini","Swiss Franc vs Singapore Dollar","0",
   "AUDSGDprof","Australian Dollar vs Singapore Dollar","0",
   "AUDSGD","Australian Dollar vs Singapore Dollar","0",
   "AUDSGDmini","Australian Dollar vs Singapore Dollar","0",
   "NZDSGDprof","New Zealand Dollar vs Singapore Dollar","0",
   "NZDSGD","New Zealand Dollar vs Singapore Dollar","0",
   "NZDSGDmini","New Zealand Dollar vs Singapore Dollar","0",
   "EURAUDprof","Euro vs Australian Dollar","0",
   "EURAUD","Euro vs Australian Dollar","0",
   "EURAUDmini","Euro vs Australian Dollar","0",
   "GBPAUDprof","Great Britan Pound vs Australian Dollar","0",
   "GBPAUD","Great Britan Pound vs Australian Dollar","0",
   "GBPAUDmini","Great Britan Pound vs Australian Dollar","0",
   "AUDNZDprof","Australian Dollar vs New Zealand Dollar","0",
   "AUDNZD","Australian Dollar vs New Zealand Dollar","0",
   "AUDNZDmini","Australian Dollar vs New Zealand Dollar","0",
   "EURCADprof","Euro vs Canadian Dollar","0",
   "EURCAD","ro vs Canadian Dollar","0",
   "EURCADmini","Euro vs Canadian Dollar","0",
   "GBPCADprof","Great Britan Pound vs Canadian Dollar","0",
   "GBPCAD","Great Britan Pound vs Canadian Dollar","0",
   "GBPCADmini","Great Britan Pound vs Canadian Dollar","0",
   "CHFCADprof","Swiss Franc vs Canadian Dollar","0",
   "CHFCAD","Swiss Franc vs Canadian Dollar","0",
   "CHFCADmini","Swiss Franc vs Canadian Dollar","0",
   "AUDCADprof","Australian Dollar vs Canadian Dollar","0",
   "AUDCAD","Australian Dollar vs Canadian Dollar","0",
   "AUDCADmini","Australian Dollar vs Canadian Dollar","0",
   "NZDCADprof","New Zealand Dollar vs Canadian Dollar","0",
   "NZDCAD","New Zealand Dollar vs Canadian Dollar","0",
   "NZDCADmini","New Zealand Dollar vs Canadian Dollar","0",
   "EURNZDprof","Euro vs New Zealand Dollar","0",
   "EURNZD","Euro vs New Zealand Dollar","0",
   "EURNZDmini","Euro vs New Zealand Dollar","0",
   "USDCZKprof","US Dollar vs Czech Republic Koruna","0",
   "USDCZK","US Dollar vs Czech Republic Koruna","0",
   "USDCZKmini","US Dollar vs Czech Republic Koruna","0",
   "GBPNZDprof","Great Britan Pound vs New Zealand Dollar","0",
   "GBPNZD","Great Britan Pound vs New Zealand Dollar","0",
   "GBPNZDmini","Great Britan Pound vs New Zealand Dollar","0",
   "EURCZKprof","Euro vs Czech Republic Koruna","0",
   "EURCZK","Euro vs Czech Republic Koruna","0",
   "EURCZKmini","Euro vs Czech Republic Koruna","0",
   "GBPCZKprof","Great Britain Pound vs Czech Republic Koruna","0",
   "GBPCZK","Great Britain Pound vs Czech Republic Koruna","0",
   "GBPCZKmini","Great   ritain Pound vs Czech Republic Koruna","0",
   "AUDCZKprof","Australian Dollar vs Czech Republic Koruna","0",
   "AUDCZK","Australian Dollar vs Czech Republic Koruna","0",
   "AUDCZKmini","Australian Dollar vs Czech Republic Koruna","0",
   "USDMXNprof","US Dollar vs Mexico Peso - New","0",
   "USDMXN","US Dollar vs Mexico Peso - New","0",
   "USDMXNmini","US Dollar vs Mexico Peso - New","0",
   "EURMXNprof","Euro vs Mexico Peso - New","0",
   "EURMXN","Euro vs Mexico Peso - New","0",
   "EURMXNmini","Euro vs Mexico Peso - New","0",
   "USDDKKprof","US Dollar vs Danish Krone","0",
   "USDDKK","US Dollar vs Danish Krone","0",
   "USDDKKmini","US Dollar vs Danish Krone","0",
   "EURDKKprof","Euro vs Danish Krone","0",
   "EURDKK","Euro vs Danish Krone","0",
   "EURDKKmini","Euro vs Danish Krone","0",
   "GBPDKKprof","Great Britain Pound vs Danish Krone","0",
   "GBPDKK","Great Britain Pound vs Danish Krone","0",
   "GBPDKKmini","Great Britain Pound vs Danish Krone","0",
   "AUDDKKprof","Australian Dollar vs Danish Krone","0",
   "AUDDKK","Australian Dollar vs Danish Krone","0",
   "AUDDKKmini","Australian Dollar vs Danish Krone","0",
   "CADDKKprof","Canadian Dollar vs Danish Krone","0",
   "CADDKK","Canadian Dollar vs Danish Krone","0",
   "CADDKKmini","Canadian Dollar vs Danish Krone","0",
   "CHFDKKprof","Swiss Franc vs Danish Krone","0",
   "CHFDKK","Swiss Franc vs Danish Krone","0",
   "CHFDKKmini","Swiss Franc vs Danish Krone","0",
   "USDNOKprof","US Dollar vs Norway Krone","0",
   "USDNOK","US Dollar vs Norway Krone","0",
   "USDNOKmini","US Dollar vs Norway Krone","0",
   "EURNOKprof","Euro vs Norway Krone","0",
   "EURNOK","Euro vs Norway Krone","0",
   "EURNOKmini","Euro vs Norway Krone","0",
   "GBPNOKprof","Great Britan Pound vs Norway Krone","0",
   "GBPNOK","Great Britan Pound vs Norway Krone","0",
   "GBPNOKmini","Great Britan Pound vs Norway Krone","0",
   "AUDNOKprof","Australian Dollar vs Norway Krone","0",
   "AUDNOK","Australian Dollar vs Norway Krone","0",
   "AUDNOKmini","Australian Dollar vs Norway Krone","0",
   "CADNOKprof","Canadian Dollar vs Norway Krone","0",
   "CADNOK","Canadian Dollar vs Norway Krone","0",
   "CADNOKmini","Canadian Dollar vs Norway Krone","0",
   "CHFNOKprof","Swiss Franc vs Norway Krone","0",
   "CHFNOK","Swiss Franc vs Norway Krone","0",
   "CHFNOKmini","Swiss Franc vs Norway Krone","0",
   "USDSEKprof","US Dollar vs Sweden Krona","0",
   "USDSEK","US Dollar vs Sweden Krona","0",
   "USDSEKmini","US Dollar vs Sweden Krona","0",
   "EURSEKprof","Euro vs Sweden Krona","0",
   "EURSEK","Euro vs Sweden Krona","0",
   "EURSEKmini","Euro vs Sweden Krona","0",
   "GBPSEKprof","Great Britain Pound vs Sweden Krona","0",
   "GBPSEK","Great Britain Pound vs Sweden Krona","0",
   "GBPSEKmini","Great Britain Pound vs Sweden Krona","0",
   "AUDSEKprof","Australian Dollar vs Sweden Krona","0",
   "AUDSEK","stralian    ollar vs Sweden Krona","0",
   "AUDSEKmini","Australian Dollar vs Sweden Krona","0",
   "NZDSEKprof","New Zealand Dollar vs Sweden Krona","0",
   "NZDSEK","New Zealand Dollar vs Sweden Krona","0",
   "NZDSEKmini","New Zealand Dollar vs Sweden Krona","0",
   "USDHUFprof","US Dollar vs Hungary Forint","0",
   "USDHUF","US Dollar vs Hungary Forint","0",
   "USDHUFmini","US Dollar vs Hungary Forint","0",
   "EURHUFprof","Euro vs Hungry Forint","0",
   "EURHUF","Euro vs Hungry Forint","0",
   "EURHUFmini","Euro vs Hungry Forint","0",
   "GBPHUFprof","Great Britain Pound vs Hungary Forint","0",
   "GBPHUF","Great Britain Pound vs Hungary Forint","0",
   "GBPHUFmini","Great Britain Pound vs Hungary Forint","0",
   "AUDHUFprof","Australian Dollar vs Hungary Forint","0",
   "AUDHUF","Australian Dollar vs Hungary Forint","0",
   "AUDHUFmini","Australian Dollar vs Hungary Forint","0",
   "NZDHUFprof","New Zealand Dollar vs Hungary Forint","0",
   "NZDHUF","New Zealand Dollar vs Hungary Forint","0",
   "NZDHUFmini","New Zealand Dollar vs Hungary Forint","0",
   "USDILSprof","US Dollar vs Israel Shekel","0",
   "USDILS","US Dollar vs Israel Shekel","0",
   "USDILSmini","US Dollar vs Israel Shekel","0",
   "EURILSprof","Euro vs Israel Shekel","0",
   "EURILS","Euro vs Israel Shekel","0",
   "EURILSmini","Euro vs Israel Shekel","0",
   "GBPILSprof","Great Britain Pound vs Israel Shekel","0",
   "GBPILS","Great Britain Pound vs Israel Shekel","0",
   "GBPILSmini","Great Britain Pound vs Israel Shekel","0",
   "USDPLNprof","US Dollar vs Poland Zlot","0",
   "USDPLN","US Dollar vs Poland Zloty","0",
   "USDPLNmini","US Dollar vs Poland Zloty","0",
   "EURPLNprof","Euro vs Poland Zloty","0",
   "EURPLN","Euro vs Poland Zloty","0",
   "EURPLNmini","Euro vs Poland Zloty","0",
   "GBPPLNprof","Great Britan Pound vs Poland Zloty","0",
   "GBPPLN","Great Britan Pound vs Poland Zloty","0",
   "GBPPLNmini","Great Britan Pound vs Poland Zloty","0",
   "NZDPLNprof","New Zealand Dollar vs Poland Zloty","0",
   "NZDPLN","New Zealand Dollar vs Poland Zloty","0",
   "NZDPLNmini","New Zealand Dollar vs Poland Zloty","0",
   "USDRUBprof","US Dollar vs Russia Rouble","0",
   "USDRUB","US Dollar vs Russia Rouble","0",
   "USDRUBmini","US Dollar vs Russia Rouble","0",
   "EURRUBprof","Euro vs Russia Rouble","0",
   "EURRUB","Euro vs Russia Rouble","0",
   "EURRUBmini","Euro vs Russia Rouble","0",
   "USDTRYprof","US Dollar vs Turkish Lira - New","0",
   "USDTRY","US Dollar vs Turkish Lira - New","0",
   "USDTRYmini","US Dollar vs Turkish Lira - New","0",
   "EURTRYprof","Euro vs Turkish Lira - New","0",
   "EURTRY","Euro vs Turkish Lira - New","0",
   "EURTRYmini","Euro vs Turkish Lira - New","0",
   "USDHKDprof","US Dollar vs Hong Kong Dollar","0",
   "USDHKD","US Dollar vs Hong Kong Dollar","0",
   "USDHKDmini","US Dollar vs Hong Kong Dollar","0",
   "EURHKDprof","Euro vs Hong Kong Dollar","0",
   "EURHKD","Euro vs Hong Kong Dollar","0",
   "EURHKDmini","Euro vs Hon Kong Dollar","0",
   "GBPHKDprof","Great Britain Pound vs Hong Kong Dollar","0",
   "GBPHKD","Great Britain Pound vs Hong Kong Dollar","0",
   "GBPHKDmini","Great Britain Pound vs Hong Kong Dollar","0",
   "USDZARprof","US Dollar vs South Africa Rand","0",
   "USDZAR","US Dollar vs South Africa Rand","0",
   "USDZARmini","US Dollar vs South Africa Rand","0",
   "EURZARprof","Euro vs South Africa Rand","0",
   "EURZAR","Euro vs South Africa Rand","0",
   "EURZARmini","Euro vs South Africa Rand","0",
   "GBPZARprof","Great Britan Pound vs South Africa Rand","0",
   "GBPZAR","Great Britan Pound vs South Africa Rand","0",
   "GBPZARmini","Great Britan Pound vs South Africa Rand","0",
   "USDHRKprof","US Dollar vs Croatia Kuna","0",
   "USDHRK","US Dollar vs Croatia Kuna","0",
   "USDHRKmini","US Dollar vs Croatia Kuna","0",
   "EURHRKprof","Euro vs Croatia Kuna","0",
   "EURHRK","Euro vs Croatia Kuna","0",
   "EURHRKmini","Euro vs Croatia Kuna","0",
   "USDBRLprof","US Dollar vs Brazil Real","0",
   "USDBRL","US Dollar vs Brazil Real","0",
   "USDBRLmini","US Dollar vs Brazil Real","0",
   "USDBWPprof","US Dollar vs Botswana Pula","0",
   "USDBWP","US Dollar vs Botswana Pula","0",
   "USDBWPmini","US Dollar vs Botswana Pula","0",
   "USDCNYprof","US Dollar vs China Yuan Renminbiv","0",
   "USDCNY","US Dollar vs China Yuan Renminbi","0",
   "USDCNYmini","US Dollar vs China Yuan Renminbi","0",
   "USDEGPprof","US Dollar vs Egypt Pound","0",
   "USDEGP","US Dollar vs Egypt Pound","0",
   "USDEGPmini","US Dollar vs Egypt Pound","0",
   "USDIDRprof","US Dollar vs Indonesia Rupiah","0",
   "USDIDR","US Dollar vs Indonesia Rupiah","0",
   "USDIDRmini","US Dollar vs Indonesia Rupiah","0",
   "USDINRprof","US Dollar vs India Rupee","0",
   "USDINR","US Dollar vs India Rupee","0",
   "USDINRmini","US Dollar vs India Rupee","0",
   "USDIRRprof","US Dollar vs Iran Rial","0",
   "USDIRR","US Dollar vs Iran Rial","0",
   "USDIRRmini","US Dollar vs Iran Rial","0",
   "USDISKprof","US Dollar vs Iceland Kronur","0",
   "USDISK","US Dollar vs Iceland Kronur","0",
   "USDISKmini","US Dollar vs Iceland Kronur","0",
   "USDLBPprof","US Dollar vs Lebanon Pound","0",
   "USDLBP","US Dollar vs Lebanon Pound","0",
   "USDLBPmini","US Dollar vs Lebanon Pound","0",
   "USDMADprof","US Dollar vs Morocco Dirham","0",
   "USDMAD","US Dollar vs Morocco Dirham","0",
   "USDMADmini","US Dollar vs Morocco Dirham","0",
   "USDNPRprof","US Dollar vs Nepal Rupee","0",
   "USDNPR","US Dollar vs Nepal Rupee","0",
   "USDNPRmini","US Dollar vs Nepal Rupee","0",
   "USDPKRprof","US Dollar vs Pakistan Rupee","0",
   "USDPKR","US Dollar vs Pakistan Rupee","0",
   "USDPKRmini","US Dollar vs Pakistan Rupee","0",
   "USDPHPprof","US Dollar vs Philippines Peso","0",
   "USDPHP","US Dollar vs Philippines Peso","0",
   "USDPHPmini","US Dollar vs Philippines Peso","0",
   "USDQARprof","US Dollar vs Qatari Riyal","0",
   "USDQAR","US Dollar vs Qatari Riyal","0",
   "USDQARmini","US Dollar vs Qatari Riyal","0",
   "USDSARprof","US Dollar vs Saudi Arabia Riyal","0",
   "USDSAR","US Dollar vs Saudi Arabia Riyal","0",
   "USDSARmini","US Dollar vs Saudi Arabia Riyal","0",
   "USDTNDprof","US Dollar vs Tunisia Dinar","0",
   "USDTND","US Dollar vs Tunisia Dinar","0",
   "USDTNDmini","US Dollar vs Tunisia Dinar","0",
   "USDTWDprof","US Dollar vs Taiwan Dollar","0",
   "USDTWD","US Dollar vs Taiwan Dollar","0",
   "USDTWDmini","US Dollar vs Taiwan Dollar","0",
   "USDUAHprof","US Dollar vs Ukraine Hryvna","0",
   "USDUAH","US Dollar vs Ukraine Hryvna","0",
   "USDUAHmini","US Dollar vs Ukraine Hryvna","0",
   "USDZMKprof","US Dollar vs Zambia Kwacha","0",
   "USDZMK","US Dollar vs Zambia Kwacha","0",
   "USDZMKmini","US Dollar vs Zambia Kwacha","0",
   "USDALLprof","US Dollar vs Albania Lek","0",
   "USDALL","US Dollar vs Albania Lek","0",
   "USDALLmini","US Dollar vs Albania Lek","0",
   "USDDZDprof","US Dollar vs Algeria Dinar","0",
   "USDDZD","US Dollar vs Algeria Dinar","0",
   "USDDZDmini","US Dollar vs Algeria Dinar","0",
   "USDCYPprof","US Dollar vs Cyprus Pound","0",
   "USDCYP","US Dollar vs Cyprus Pound","0",
   "USDCYPmini","US Dollar vs Cyprus Pound","0",
   "USDARSprof","US Dollar vs Argentina Peso","0",
   "USDARS","US Dollar vs Argentina Peso","0",
   "USDARSmini","US Dollar vs Argentina Peso","0",
   "USDXOFprof","US Dollar vs Benin/Senegal/Brukina Faso CFA Franc","0",
   "USDXOF","US Dollar vs Benin/Senegal/Brukina Faso CFA Franc","0",
   "USDXOFmini","US Dollar vs Benin/Senegal/Brukina Faso CFA Franc","0",
   "USDDOPprof","US Dollar vs Dominican Peso","0",
   "USDDOP","US Dollar vs Dominican Peso","0",
   "USDDOPmini","US Dollar vs Dominican Peso","0",
   "USDCLPprof","US Dollar vs Chile Peso","0",
   "USDCLP","US Dollar vs Chile Peso","0",
   "USDCLPmini","US Dollar vs Chile Peso","0",
   "USDCOPprof","US Dollar vs Colombia Peso","0",
   "USDCOP","US Dollar vs Colombia Peso","0",
   "USDCOPmini","US Dollar vs Colombia Peso","0",
   "USDCVEprof","US Dollar vs Cape Verde Escudo","0",
   "USDCVE","US Dollar vs Cape Verde Escudo","0",
   "USDCVEmini","US Dollar vs Cape Verde Escudo","0",
   "USDGELprof","US Dollar vs Georgia Lari","0",
   "USDGEL","US Dollar vs Georgia Lari","0",
   "USDGELmini","US Dollar vs Georgia Lari","0",
   "USDGIPprof","US Dollar vs Gibraltar Pound","0",
   "USDGIP","US Dollar vs Gibraltar Pound","0",
   "USDGIPmini","US Dollar vs Gibraltar Pound","0",
   "USDKRWprof","US Dollar vs South Korea Won","0",
   "USDKRW","US Dollar vs South Korea Won","0",
   "USDKRWmini","US Dollar vs South Korea Won","0",
   "USDLSLprof","US Dollar vs Lesotho Maloti","0",
   "USDLSL","US Dollar vs Lesotho Maloti","0",
   "USDLSLmini","US Dollar vs Lesotho Maloti","0",
   "USDMYRprof","US Dollar vs Malaysia Ringgit","0",
   "USDMYR","US Dollar vs Malasia Rinit","0",
   "USDMYRmini","US Dollar vs Malaysia Ringgit","0",
   "GOLDprof","Gold","0",
   "GOLD","Gold","0",
   "GOLDmini","Gold","0",
   "SILVERprof","Silver","0",
   "SILVER","Silver","0",
   "SILVERmini","Silver","0",
   "PLATprof","Platinum","0",
   "PLAT","Platinum","0",
   "PLATmini","Platinum","0",
   "PALLprof","Palladium","0",
   "PALL","Palladium","0",
   "PALLmini","Palladium","0",
   "CL#F8","Light Crude Oil January2008","0",
   "CL#G8","Light Crude Oil February2008","0",
   "NG#F8","Natural Gas January2008","0",
   "NG#G8","Natural Gas February2008","0",
   "AGR#","AGRANA Beteiligungs-AG Vienna","0",
   "ATEC#","A-TEC Industries AG Vienna","0",
   "AUA#","Austrian Airlines AG Vienna","0",
   "AWS#","AvW Invest AG Vienna","0",
   "BENE#","BENE AG Vienna","0",
   "BFC#","Brain Force Holding AG Vienna","0",
   "BUD#","Buhler-Uddeholm AG Vienna","0",
   "BWIN#","Betandwin. Com Int. Entert. AG Vienna","0",
   "BWT#","BWT AG Vienna","0",
   "CAII#","CA Immo International AG Vienna","0",
   "CNTY#","Century Casinos Inc Vienna","0",
   "COV#","Constantia Packa  in   AG Vienna","0",
   "EYBL#","Eybl International AG Vienna","0",
   "FLU#","Flughafen Wien AG Vienna","0",
   "HEAD#","HEAD N.V. Vienna","0",
   "HVB#","Bayer. Hypo-Und Vereinsbank AG Vienna","0",
   "ICLL#","Intercell AG Vienna","0",
   "IEA#","Immoeast Immobilien Anlagen AG Vienna","0",
   "KTM#","KTM Power Sports AG Vienna","0",
   "LNZ#","Lenzing AG Vienna","0",
   "MEL#","Meinl European Land Ltd. Vienna","0",
   "MMK#","Mayr-Melnhof Karton AG Vienna","0",
   "OMV#","OMV AG Vienna","0",
   "PAL#","Palfinger AG Vienna","0",
   "RHI#","RHI AG Vienna","0",
   "RIBH#","Raiffeisen Int. Bank-HLDG AG Vienna","0",
   "SBO#","Schoeller-Bleckmann AG Vienna","0",
   "SEM#","Semperit AG Holding Vienna","0",
   "SNT#","S&T System Int.and Tech. Distr.AG Vienna","0",
   "TKA#","Telekom Austria AG Vienna","0",
   "UQA#","Uniqa Versicherungen AG Vienna","0",
   "VER#","Verbundgesellschaft AG Kat. A Vienna","0",
   "VOE#","Voestalpine AG Vienna","0",
   "WIE#","Wienerberger AG Vienna","0",
   "WOL#","Wolford AG Vienna","0",
   "WST#","Wiener Stadtische Allg Vers. AG Vienna","0",
   "$ATX","ATX INDEX Austria","0",
   "AAL#","Anglo American London","0",
   "ABF#","Associated British Foods Plc. London","0",
   "ADM#","Admiral Group Plc. London","0",
   "AL.#","Alliance And Leicester Plc. London","0",
   "ALBK#","Allied Irish Banks Plc. London","0",
   "AMEC#","Amec Plc. London","0",
   "AML#","Amlin Plc. London","0",
   "AMV#","Amtel-Vredestein N.V. London","0",
   "ANGL#","Anglo Irish Bank London","0",
   "ARM#","ARM Holdings Plc. London","0",
   "ASHM#","Ashmore Group Plc. London","0",
   "ATST#","Alliance Trust Plc. London","0",
   "ANTO#","Antofagasta London","0",
   "ATAD#","Tatneft London","0",
   "AV.#","Aviva Plc. London","0",
   "AVE#","Avis Europe London","0",
   "AXA#","AXA London","0",
   "AZN#","Astrazeneca Plc. London","0",
   "BA.#","BAE Systems Plc. London","0",
   "BARC#","Barclays London","0",
   "BATS#","British American Tobacco London","0",
   "BAY#","British Airways London","0",
   "BB.#","Bradford And Bingley Plc. London","0",
   "BBY#","Balfour Beatty Plc. London","0",
   "BDEV#","Barratt Developments Plc. London","0",
   "BG.#","BG Group Plc. London","0",
   "BGEO#","JSC Bank of Georgia London","0",
   "BGY#","British Energy Group Plc. London","0",
   "BKG#","Berkeley Group Holdings (The) Plc. London","0",
   "BKIR#","Bank of Ireland (Governor And CO OF) London","0",
   "BLND#","British Land Co Plc. London","0",
   "BLT#","BHP Billiton Plc. London","0",
   "BNZL#","Bunzl Plc. London","0",
   "BP.#","British Petroleum London","0",
   "BRBY#","Burberry Group Plc. London","0",
   "BSY#","British Sky Broadcasting Group Plc. London","0",
   "BT.A#","BT Group London","0",
   "BXB#","Brambles LD London","0",
   "CBRY#","Cadbury Shweppes Plc. London","0",
   "CCB#","Coca-Cola HBC S.A. London","0",
   "CCL#","Carnival Plc. London","0",
   "CCR#","C&C Group Plc. London","0",
   "CHZN#","JSC Chelyabinsk Zinc Plant London","0",
   "CNA#","Centrica Plc. London","0",
   "CNE#","Cairn Energy Plc. London","0",
   "COB#","Cobham Plc. London","0",
   "CPG#","Compass Group Plc. London","0",
   "CPI#","Capita Group Plc. London","0",
   "CPW#","Carphone Warehouse Group Plc. London","0",
   "CRH#","CRH Plc. London","0",
   "CW.#","Cable & Wireless Plc. London","0",
   "DGE#","Diageo London","0",
   "DRX#","Drax Group Plc. London","0",
   "DSGI#","DSG International Plc. London","0",
   "EBID#","Efes Breweries International N.V. London","0",
   "EETD#","AS Eesti Telekom London","0",
   "ELA#","Elan Corporation Plc. London","0",
   "EMA#","EMAP Plc. London","0",
   "EMG#","Man Group Plc. London","0",
   "ETI#","Enterprise Inns Plc. London","0",
   "EVR#","Evraz Group S.A. London","0",
   "EXPN#","Ex  erian Grou   Ltd. London","0",
   "EZJ#","EasyJet Plc. London","0",
   "FGP#","FirstGroup Plc. London","0",
   "FIVE#","X5 Retail Group N.V London","0",
   "FP.#","Friends Provident London","0",
   "FRCL#","Foreign And Col Invest Trust Plc. London","0",
   "GAZ#","Gazprom Neft London","0",
   "GFS#","Group4 Securicor Plc. London","0",
   "GFTU#","Grafton Group Plc. London","0",
   "GKN#","GKN Plc. London","0",
   "GSK#","GlaxoSmithKline London","0",
   "HAS#","Hays Plc. London","0",
   "HBOS#","Halifax Bank Of Scotland London","0",
   "HMSO#","Hammerson Plc. London","0",
   "HOME#","Home Retail London","0",
   "HSBA#","HSBC Holdings Plc. London","0",
   "HYUD#","Hyundai Motor Company London","0",
   "IAP#","ICAP Plc. London","0",
   "ICI#","Imperial Chemical Industries Plc. London","0",
   "IHG#","InterContinental Hotels Group Plc. London","0",
   "III#","3i Group Plc. London","0",
   "IMI#","IMI Plc. London","0",
   "IMT#","Imperial Tobacco Group Plc. London","0",
   "INCH#","Inchcape Plc. London","0",
   "INF#","Informa Plc. London","0",
   "INVP#","Investec Plc. London","0",
   "IPM#","Irish Life And Permanent Plc. London","0",
   "IPR#","International Power Plc. London","0",
   "ISAT#","Inmarsat Plc. London","0",
   "ISYS#"," Invensys Plc. London","0",
   "ITV#","ITV Plc. London","0",
   "JMAT#","Johnson Matthey Plc. London","0",
   "KAZ#","Kazakhmys Plc. London","0",
   "KEL#","Kelda Group Plc. London","0",
   "KESA#","Kesa Electricals Plc. London","0",
   "KGF#","Kingfisher Plc. London","0",
   "KGP#","Kingspan Group Plc. London","0",
   "KTCD#","KT Corporation London","0",
   "KYGA#","Kerry Group Plc. London","0",
   "KZG#","KazakhGold Group London","0",
   "LAD#","Ladbrokes Plc. London","0",
   "LAND#","Land Securities Group Plc. London","0",
   "LGLD#","LG Electronics Inc. London","0",
   "LGEN#","Legal And General Group Plc. London","0",
   "LII#","Liberty International Plc. London","0",
   "LMI#","Lonmin Plc. London","0",
   "LOG#","LogicaCMG Plc. London","0",
   "LKOD#","Lukoil London","0",
   "LLOY#","Lloyds TSB Group Plc. London","0",
   "LSE#","London Stock Exchange Plc.","0",
   "MAB#","Mitchells And Butlers Plc. London","0",
   "MKS#","Marks and Spencer Group Plc. London","0",
   "MLC#","Millennium & Copthorne Hotels Plc. London","0",
   "MNOD#","Norilsk Nickel London","0",
   "MRW#","Morrison (WM) London","0",
   "NG.#","National Grid Plc. London","0",
   "NHY#","Norsk Hydro ASA London","0",
   "NRK#","Northern Rock Plc. London","0",
   "NSTR#","Nestle SA London","0",
   "NVTK#","OAO Novatek London","0",
   "NXT#","Next Plc. London","0",
   "OGZD#","Gazprom London","0",
   "OML#","Old Mutual Plc. London","0",
   "PFG#","Provident Financial Plc. London","0",
   "PIDD#","POSCO London","0",
   "PLZL#","OJSC Polyus Gold London","0",
   "PNN#","Pennon Group Plc. London","0",
   "PRTY#","PartyGaming Plc. London","0",
   "PRU#","Prudential Plc. London","0",
   "PSN#","Persimmon Plc. London","0",
   "PSON#","Pearson Plc. London","0",
   "PUB#","Punch Taverns Plc. London","0",
   "RB.#","Reckitt Benckiser London","0",
   "RBS#","Royal Bank Of Scotland Group Plc. London","0",
   "RDSA#","Royal Dutch Shell Plc. London","0",
   "REX#","Rexam Plc. London","0",
   "RKMD#","Rostelekom London","0",
   "RMM#","Rambler Metals And Mining Plc. London","0",
   "ROSN#","OJSC OC Rosneft London","0",
   "RR.#","Rolls-Royce London","0",
   "RSA#","Royal And Sun Alliance INS Group Plc. London","0",
   "RSL#","Resolution Plc. London","0",
   "RTO#","Rentokil Initial Plc. London","0",
   "RTR#","Reuters Group London","0",
   "RYA#","Ryanair Holdings London","0",
   "SAB#","Sabmiller Plc. London","0",
   "SBE#","Sibir Energy London","0",
   "SBRY#","J.Sainsbur   Plc. London","0",
   "SCIN#","Scottish And Newcastle Plc. London","0",
   "SCL#","Schlumberger LD London","0",
   "SDR#","Schroders Plc. London","0",
   "SGC#","Stagecoach Group Plc. London","0",
   "SGE#","Sage Group Plc. London","0",
   "SGGD#","SurgutNefteGaz London","0",
   "SHP#","Shire Plc. London","0",
   "SIG#","Signet Group Plc. London","0",
   "SLET#","Standard Life Equity Income Tst Plc.  London","0",
   "SMIN#","Smiths Group Plc. London","0",
   "SMSN#","Samsung Electronics Company LD London","0",
   "SN.#","Smith And Nephew Plc. London","0",
   "SNKB#","Svenska Cellulosa AB-SCA London","0",
   "SNP#","China Petroleum And Chemical Corp. London","0",
   "SRP#","Serco Group Plc. London","0",
   "SSA#","Sistema JSFC London","0",
   "SSE#","Scottish And Southern Energy Plc. London","0",
   "STAN#","Standard Chartered Plc. London","0",
   "STJ#","St. James\'s Place Plc. London","0",
   "SVST#","OAO Severstal London","0",
   "SVT#","Severn Trent Plc. London","0",
   "TATE#","Tate And Lyle Plc. London","0",
   "TEM#","Templeton Emerging Markets IT Plc. London","0",
   "TLW#","Tullow Oil Plc. London","0",
   "TOMK#","Tomkins Plc. London","0",
   "TPK#","Travis Perkins Plc. London","0",
   "TPSD#","Telekomunikacja Polska London","0",
   "TSCO#","Tesco Plc. London","0",
   "UBM#","United BusinessMedia London","0",
   "UESD#","Unified Energy Systems Of Russia  London","0",
   "ULVR#","Unilever London","0",
   "UMB#","Umbro London","0",
   "UU.#","United Utilities Plc. London","0",
   "VED#","Vedanta Resources Plc. London","0",
   "WMH#","William Hill Plc. London","0",
   "WOS#","Wolseley Plc. London","0",
   "WPP#","WPP Group Plc. London","0",
   "WTB#","Whitbread Plc. London","0",
   "XTA#","Xstrata plc London","0",
   "VOD#","Vodafone Group Plc. London","0",
   "YAU#","Yamana Gold Inc. London","0",
   "YELL#","Yell Group Plc. London","0",
   "$FTSE","FTSE 100 INDEX London","0",
   "AA#","Alcoa Inc.","0",
   "AAPL#","Apple Computer Inc.","0",
   "ABB#","ABB Ltd.","0",
   "ABM#","ABM Industries Inc.","0",
   "ABN#","ABN AMRO Holding N.V.","0",
   "ABT#","ABBOTT LABS","0",
   "ADBE#","Adobe System Incorporated","0",
   "AEP#","American Electric Power Inc.","0",
   "AHCI#","Allied Healthcare International Inc.","0",
   "AIG#","American International Group Inc.","0",
   "AKH#","Air France - KLM","0",
   "AMAT#","Applied Materials Incorporated","0",
   "AMD#","Advanced Micro Devices","0",
   "ASD#","American Standard Cos Inc","0",
   "AKZOY#","Akzo Nobel Nevada","0",
   "AMZN#","Amazon.Com Inc.","0",
   "AXP#","American Express Company Inc.","0",
   "BA#","Boeing Company","0",
   "BAC#","Bank Of America Corporation","0",
   "BAYER#","Bayer AG","0",
   "BC#","Brunswick Corporation","0",
   "BDK#","Black and Decker Corporation","0",
   "BEN#","Franklin Resources Inc.","0",
   "BF#","BASF AG","0",
   "BGP#","Borders Group Inc.","0",
   "BK#","Bank Of New York Inc.","0",
   "BKS#","Barnes and Noble Inc.","0",
   "BMY#","Bristol-Myers Squibb","0",
   "BTM#","Brasil Telecom S.A.","0",
   "C#","Citigroup Inc.","0",
   "CAJ#","Canon Inc.","0",
   "CAT#","Caterpillar Inc.","0",
   "CC#","Circuit City Stores Inc.","0",
   "CIA#","Citizens Inc.","0",
   "CL_#","Colgate Palmolive Company","0",
   "CSCO#","Cisco System Incorporated","0",
   "CSG#","Cadbury Shweppes Group","0",
   "CSX#","CSX Corporation","0",
   "CTBK#","City Bank Lynnwood Wash","0",
   "CVS#","CVS Corporation","0",
   "CVX#","Chevron Corporation","0",
   "CY#","Cypress Semiconductor Corporation","0",
   "DCX#","DaimlerChrysler AG","0",
   "DD#","DuPont EI de Nemours and Coman","0",
   "DELL#","Dell Inc.","0",
   "DIS#","Walt Disney Company","0",
   "DLB#","Dolby Laboratories Inc.","0",
   "DOW#","Dow Chemical Co.","0",
   "DWA#","Dreamworks Animation SKG Inc.","0",
   "EBAY#","eBay Incorporated","0",
   "EDS#","Electronic Data Systems Corp.","0",
   "EK#","Eastman Kodak Company","0",
   "ELE#","Endesa S.A.","0",
   "EMC#","EMC Corporation","0",
   "EN#","Enel SpA","0",
   "EWJ#","iShares MSCI Japan Index Fund","0",
   "F#","Ford Motor Company","0",
   "FDX#","FedEx Corporation","0",
   "FTE#","France Telecom","0",
   "GE#","General Electric Company","0",
   "GLDN#","Golden Telecom Inc.","0",
   "GLW#","Corning Inc.","0",
   "GM#","General Motors Corporation","0",
   "GOOG#","Google Inc.","0",
   "GS#","Goldman Sachs Group Inc.","0",
   "GYMB#","Gymboree Corporation","0",
   "HAL#","Halliburton Company","0",
   "HD#","Home Depot Inc.","0",
   "HLF#","Herbalife Ltd.","0",
   "HLT#","Hilton Hotels Corporation","0",
   "HMC#","Honda Motor Ltd","0",
   "HON#","Honeywell International Inc.","0",
   "HPQ#","Hawlett Packard Company","0",
   "IBM#","International Business Machines Corporation","0",
   "IBN#","ICICI Bank Ltd.","0",
   "INTC#","Intel Corporation","0",
   "IPG#","Interpublic Group of Companies Inc.","0",
   "JNJ#","Johnson and Johnson","0",
   "JPM#","JPMorgan Chase","0",
   "ITT#","ITT Corporation","0",
   "KEP#","Korea Electric Power Corporation","0",
   "KFT#","Kraft Foods Inc.","0",
   "KO#","The Coca-Cola Company","0",
   "KYO#","Kyosera Corporation","0",
   "LF#","Leapfrog Enterprises Inc.","0",
   "LLY#","LILY ELI & CO","0",
   "LMT#","Lockheed Martin","0",
   "LPL#","LG Philips LCD Company Ltd.","0",
   "LSI#","LSI Logic Corporation","0",
   "LOW#","Lowe\'s Companies","0",
   "LXK#","Lexmark International Inc.","0",
   "LYG#","Lloyds TSB Group Plc.","0",
   "MBT#","Mobile TeleSystems","0",
   "MC#","Matsushita Electronic Indl.","0",
   "MCD#","MacDonalds Corporation","0",
   "NEM#","Newmont Mining Corporation (Holding Company)","0",
   "MGM#","Metro-Goldwyn-Mayer Inc.","0",
   "MKTAY#","Makita Corporation","0",
   "MMC#","Marsh & Mclennan Companies Inc.","0",
   "MMM#","3M Company","0",
   "MO#","Altria Group Inc.","0",
   "MOT#","Motorola Inc.","0",
   "MRK#","Merck Inc.","0",
   "MSFT#","Microsoft Corporation","0",
   "MT#","Mittal Steel Company N.V.","0",
   "MTL#","Mechel Steel Group","0",
   "MTU#","Mitsubishi UFJ Financial Group Inc.","0",
   "MU#","Micron Technology Inc.","0",
   "MXWL#","Maxwell Technologies Inc.","0",
   "NKE#","Nike Inc.","0",
   "NOK#","Nokia Corporation","0",
   "NVS#","Novartis","0",
   "NOVL#","Novell Inc.","0",
   "NSANY#","Nissan Motors","0",
   "NYT#","New York Times Company","0",
   "NZT#","Telecom New Zealand","0",
   "NWS#","NEWS CORP.","0",
   "ORCL#","Oracle Corporation","0",
   "PALM#","Palm Computing Inc.","0",
   "PDCO#","Patterson Companies Incorporated","0",
   "PEP#","PepsiCo Inc.","0",
   "PFE#","Pfizer Inc.","0",
   "PG#","Procter and Gamble Company","0",
   "PHG#","Royal Philips Electronics","0",
   "PLA#","Playboy Enterprise","0",
   "PPG#","PPG Industries Inc.","0",
   "PSO#","Pearson Plc.","0",
   "Q#","Qwest Communications Intl Inc.","0",
   "RDS.A#","Royal Dutch Shell Plc.","0",
   "RDY#","Dr. Reddy\'s Laboratories Limited","0",
   "RIO#","Companhia Vale do Rio Doce","0",
   "ROS#","Rostelecom","0",
   "ROST#","Ross Stores Inc.","0",
   "RTP#","Rio Tinto plc","0",
   "S#","Sprint Nextel Corporation","0",
   "SAP#","SAP AG","0",
   "SBUX#","Starbucks Corporation","0",
   "SGP#","Schering Plough Corporation","0",
   "SHLD#","Sears Holdings Corporation","0",
   "SI#","Siemens AG","0",
   "SLE#","Sara Lee Corp.","0",
   "SNDK#","SanDisk Corporation","0",
   "SNE#","Sony Corporation","0",
   "SNY#","Sanofi-Aventis","0",
   "SUNW#","Sun Microsystems Incorporated","0",
   "T#","AT&T INC","0",
   "TCK#","TECK COMINCO LTD","0",
   "TDK#","TDK CORP","0",
   "TEN#","TENNECO INC","0",
   "TEO#","TELECOM ARGENTINA S A","0",
   "TLM#","TALISMAN ENERGY INC","0",
   "TM#","TOYOTA MOTOR CORP","0",
   "TMK#","TORCHMARK CORP","0",
   "TRB#","TRIBUNE CO NEW","0",
   "TRCR#","Transcend Services Inc.","0",
   "TSM#","TAIWAN SEMICONDUCTOR MFG LTD","0",
   "TTM#","TATA MTRS LTD","0",
   "TWX#","TIME WARNER INC","0",
   "TXN#","TEXAS INSTRS INC","0",
   "UBS#","UBS AG","0",
   "UIS#","UNISYS CORP","0",
   "UL#","UNILEVER PLC","0",
   "UTEK#","ULTRATECH INC","0",
   "UTX#","UNITED TECHNOLOGIES CORP","0",
   "VRSN#","VERISIGN INC","0",
   "VZ#","VERIZON COMMUNICATIONS","0",
   "WDC#","WESTERN DIGITAL CORP","0",
   "WFC#","WELLS FARGO & CO NEW","0",
   "WFMI#","WHOLE FOODS MKT INC","0",
   "$INDU","Dow Jones Industrial Average INDEX","0",
   "4901#","FUJI PHOTO FILM CO Tokyo","0",
   "4902#","KONICA MINOLTA HOLDINGS INC Tokyo","0",
   "4911#","SISEIDO COMPANY LIMITED Tokyo","0",
   "5108#","BRIDGESTONE CORP Tokyo","0",
   "5401#","NIPPON STEEL CORP Tokyo","0",
   "6367#","DAIKIN INDUSTRIES Tokyo","0",
   "6473#","KOYO SEIKO CO Tokyo","0",
   "6502#","TOSHIBA CORP Tokyo","0",
   "6701#","NEC CORP Tokyo","0",
   "6703#","OKI ELECTRIC INDUSTRY CO  Tokyo","0",
   "6758#","SONY CORP Tokyo","0",
   "6762#","TDK CORP Tokyo","0",
   "6764#","SANYO ELECTRIC CO Tokyo","0",
   "6773#","PIONEER CORP Tokyo","0",
   "6796#","CLARION CO LTD Tokyo","0",
   "6952#","CASIO COMPUTER CO Tokyo","0",
   "6971#","KYOCERA CORP Tokyo","0",
   "7012#","KAWASAKI HEAVY INDUSTRIES Tokyo","0",
   "7201#","NISSAN MOTOR CO Tokyo","0",
   "7202#","ISUZU MOTORS Tokyo","0",
   "7203#","TOYOTA MOTOR CORP Tokyo","0",
   "7261#","MAZDA MOTOR CORP Tokyo","0",
   "7267#","HONDA MOTOR CO Tokyo","0",
   "7269#","SUZUKI MOTOR CORP Tokyo","0",
   "7731#","NIKON CORP Tokyo","0",
   "7733#","OLYMPUS CORPORATION  Tokyo","0",
   "7751#","CANON INC Tokyo","0",
   "7752#","RICOH CO Tokyo","0",
   "7762#","CITIZEN WATCH CO Tokyo","0",
   "7951#","YAMAHA CORP Tokyo","0",
   "8031#","MITSUI & CO Tokyo","0",
   "$NIKKEI","NIKKEI-300 Tokyo","0",
   "GAZP#","OAO Gazprom Moskow","0",
   "$RTSI","RTS INDEX Moscow","0",

   /*Water House Capital Ltd.*/

   "EURUSD","Euro vs US Dollar","1",
   "GBPUSD","Great Britain Pound vs US Dollar","1",
   "FDAX","DAX - Eurex (09:50 - 00:00) H8 (f/n 18.03.08)","1",
   "CL","Crude Oil L.S(Pit) - Nymex (02:00 - 01:15) G8 (f/n 21.01.08)","1",
   "ZW","Wheat - eCBOT (03:32-15:00; 18:30-22:15) H8 (f/n 12.03.08)","1",
   "EURJPY","Euro vs Japanese Yen","1",
   "EURCHF","Euro vs Swiss Franc","1",
   "GBPJPY","Great Britain Pound vs Japanese Yen","1",
   "USDJPY","US Dollar vs Japanese Yen","1",
   "USDCHF","US Dollar vs Swiss Franc","1",
   "USDCAD","US Dollar vs Canadian Dollar","1",
   "AUDUSD","Australian Dollar vs US Dollar","1",
   "NZDUSD","US Dollar vs New Zealand Dollar","1",
   "AUDCAD","Australian Dollar vs Canadian  Dollar","1",
   "AUDJPY","Australian Dollar vs Japanise Yen","1",
   "AUDCHF","Australian Dollar vs Swiss Franc","1",
   "EURAUD","Euro vs Australian Dollar","1",
   "EURCAD","Euro vs Canadian Dollar","1",
   "GBPCHF","Great Britain Pound vs Swiss Franc","1",
   "NZDCAD","New Zealand Dollar vs Canadian Dollar","1",
   "NZDCHF","New Zealand Dollar vs Swiss Franc","1",
   "CADCHF","Canadian Dollar vs Swiss Franc","1",
   "USDSKK","US Dollar vs Slovakia Coruna","1",
   "EURGBP","Euro vs Great Britain Pound","1",
   "CHFJPY","Swiss Franc vs Japanise Yen","1",
   "NZDJPY","New Zealand Dollar vs Japanise Yen","1",
   "CADJPY","Canadian vs Japanesse","1",
   "AUDNZD","Australian vs New Zealand","1",
   "EURNZD","Euro vs New Zelan Dollar","1",
   "USDNOK","US Dollar vs Norwegian Krone","1",
   "USDDKK","US Dollar vs Danish Crone","1",
   "XAU","Gold Spot","1",
   "6A","Aussie Dollar -Globex (02:00-01:00) H8 (f/n 14.03.08)","1",
   "6B","British Pound -Globex (02:00-01:00) H8 (f/n 14.03.08)","1",
   "6C","Canadian Dollar -Globex (02:00-01:00) H8 (f/n 14.03.08)","1",
   "6E","Euro FX Currencies -Globex (02:00-01:00)  H8 (f/n 14.03.08)","1",
   "6J","Japanese Yen -Globex (02:00-01:00) H8 (f/n 14.03.08)","1",
   "6S","Swiss Franc -Globex (02:00-01:00) H8 (f/n 14.03.08)","1",
   "DX","US Dollar Index (Pit) -Nybot (17:05 - 00:00) H8 (f/n 14.03.08)","1",
   "RF","Euro FX/SF Cross - Globex  (02:00-01:00) Z7 (f/n 14.12.07)","1",
   "RY","Euro FX/JY Cross - Globex  (02:00-01:00) M7 (f/n 15.06.07)","1",
   "ES","E-Mini S&P 500 -Globex (00:30 - 00:15) H8 (f/n 18.03.08)","1",
   "ER2","E-Mini-Russell -Globex (00:30 - 00:15) H8 (f/n 18.03.08)","1",
   "NQ","E-Mini Nasdaq -Globex (00:30 - 00:15) H8 (f/n 18.03.08)","1",
   "YM","Mini DJIA -eCBOT (03:15 - 01:00) H8 (f/n 18.03.08)","1",
   "FTSE","FTSE 100 -Euronext (11:00 - 20:30) H8 (f/n 18.03.08)","1",
   "NKD","Nikkei 225 -Globex (12:00 - 01:15) H8 (f/n 11.03.08)","1",
   "FESX","DJ Euro STOXX 50 - Eurex (09:50 - 00:00) H8 (f/n 19.03.08)","1",
   "NI225_M","Nikkei225_Mini (OSM)(03:05-5:00  6:30-09:10) H8 (f/n 12.03.08)","1",
   "NI300","Nikkei300 (OSM) (03:05-5:00  6:30-09:15) H8 (f/n 12.03.08)","1",
   "NI225","Nikkei225 (OSM)(03:05-5:00  6:30-09:10) H8 (f/n 12.03.08)","1",
   "QM","miNY Crude Oil - Nymex (02:00 - 01:15) G8 (f/n 18.01.08)","1",
   "QG","miNY Natural Gas - Nymex (02:00 - 01:15) F8 (f/n 25.12.07)","1",
   "BRN","Crude Oil Brent -ICE (04:00-02:00) G8 (f/n 15.01.08)","1",
   "WTI","Crude Oil WTI -ICE (04:00-02:00) G8 (f/n 18.01.08)","1",
   "NG","Natural Gas (Pit)- Nymex (02:00 - 01:15) F8 (f/n 26.12.07)","1",
   "HO","Heating Oil (Pit) - Nymex (02:00 - 01:15) F8 (f/n 28.12.07)""1",,
   "GAS","Gasoil -ICE (03:00-01:00) F8 (f/n 09.01.08)","1",
   "THU","Gasoline  TCM   03:00 - 09:30  F8  f/n 24.01.08","1",
   "THO","Kerosine (TCM) (03:00 - 09:30) F8 (f/n 24.01.08)","1",
   "ZC","Corn- eCBOT (03:32-15:00; 18:30-22:15) H8 (f/n 12.03.08)","1",
   "ZO","Oats- eCBOT (03:33-15:00; 18:30-22:15) H8 (f/n 13.03.08)","1",
   "ZS","Soybeans -eCBOT (03:31-15:00; 18:30-22:15) X7 (f/n 30.10.07)","1",
   "ZL","Soybean Oil -eCBOT (03:31-15:00; 18:30-22:15) F8 (f/n 11.01.08)","1",
   "ZM","Soymeal -eCBOT (03:31-15:00; 18:30-22:15) F8 (f/n 11.01.08)","1",
   "KE","Wheat el- KC BOT (03:32-15:00; 18:30-22:15) Z7 (f/n 29.11.07)","1",
   "KW","Wheat el- KC BOT (18:30-22:15) Z7 (f/n 29.11.07)","1",
   "RB","Kpace o Red Beans - TGE (03:20 - 09:30) U7 (f/n 24.09.07)","1",
   "CO","oca pa Corn  - TGE (03:00 - 09:10) F8 (f/n 13.12.07)","1",
   "YW","Mini-Wheat -eCBOT (18:30-22:45)  Z7 (f/n 13.12.07)","1",
   "YK","Mini-Soybeas-eCBOT(18:30-22:45)  X7 (f/n 13.11.07)","1",
   "FC","Feeder Cattle (Pit) -CME (18:05-22:00)  F8 (f/n 23.01.08)","1",
   "LH","Lean Hogs (Pit) -CME (18:10-22:00) G8 (f/n 10.02.08)","1",
   "LC","Live Cattle (Pit) -CME (18:05-22:00)  Z7 (f/n 07.12.07)","1",
   "PB","Pork Bellies (Pit) -CME (18:10-22:00) G8 (f/n 03.02.08)","1",
   "ZG","Gold 100 oz. - eCBOT (03:16 - 01:00) G8 (f/n 29.01.08)","1",
   "ZI","Silver 5000 oz. -eCBOT (03:16 - 01:00) F8 (f/n 28.12.07)","1",
   "GC","Gold (Pit) -Comex (02:00 - 01:15) G8 (f/n 29.01.08)","1",
   "SI","Silver (Pit) -Comex (02:00 - 01:15) H8 (f/n 28.03.08)","1",
   "HG","Copper (Pit) -Comex (02:00 - 01:15) F8 (f/n 27.12.07)","1",
   "PA","Palladium  (Pit)  -Comex (02:00 - 01:15)  H8 (f/n 25.03.08)","1",
   "PL","Platinum (Pit) -Comex (02:00 - 01:15) F8 (f/n 27.01.08)","1",
   "YG","Gold-mini  33.2 oz. - eCBOT (03:16 - 01:00) Z7 (f/n 29.11.07)","1",
   "YI","Silver-mini 1000 oz. -eCBOT (03:16 - 01:00)  Z7 (f/n 29.11.07)","1",
   "LB","Lumber (Pit) -Nybot (18:00 - 22:05)  F8 (f/n 14.01.08)","1",
   "CC","Cocoa (Pit) -Nybot (16:00 - 19:50) H8 (f/n 14.03.08)","1",
   "KC","Coffee (Pit) -Nybot (17:15 - 20:50) H8 (f/n 18.03.08)","1",
   "CT","Cotton (Pit) -Nybot (18:30 - 22:15) H8 (f/n 07.03.08)","1",
   "JO","Orange Juice (Pit)  -Nybot (18:00 - 21:30) F8 (f/n 25.01.08)","1",
   "D","Coffee Robusta  -Euronext (11:00 - 20:30) F8 (f/n 29.12.07)","1",
   "C","Cocoa -Euronext (12:30 - 19:50) H8 (f/n 14.03.08)","1",
   "W","White Sugar  -Euronext (12:45 - 20:30) H8 (f/n 07.02.08)","1",
   "AC","Koe Arabica Coffee - TGE (03:20 - 09:40)  F8 (f/n 16.01.08)","1",
   "RC","Koe Robusta Coffee - TGE (03:20 - 09:40)  F8 (f/n 16.01.08)","1",
   "SB","Sugar (Pit)  -Nybot (16:00 - 19:30) H8 (f/n 27.02.08)","1",
   "SG","oc caxap - TGE (03:30 - 09:50) F8 (f/n 13.12.07)","1",
   "TRB","Rubber (TCM) (03:00 - 09:30) Z7 (f/n 19.12.07)","1",
   "FGBL","EuroBund - Eurex (10:00 - 00:00) H8 (f/n 06.03.08)","1",
   "FGBM","EuroBobl - Eurex (10:00 - 00:00) H8 (f/n 06.03.08)","1",
   "FGBS","Schatz - Eurex (10:00 - 00:00) H8 (f/n 06.03.08)","1",
   "SAAPL","Apple Comp. (oep)","1",
   "SAEPI","AEP Ind.Inc. (x-ac)","1",
   "SADS","Aliance Data Syst. (oep)","1",
   "SALB","Albemarle Corp. (x)","1",
   "SAMAG","Advansed Magn. (oexoo)","1",
   "SALTH","Allos Therap. (oexoo)","1",
   "SAVP","Avon Prod. (ocea)","1",
   "SAXR","Amrep (opo)","1",
   "SBA","Boeing Co (opopa o)","1",
   "SBAB","British Airways (aaoa)","1",
   "SBAC","Bank of America (ac)","1",
   "SBIDU","Baidu.com (epe)","1",
   "SBOT","CBOT Hold. (pa)","1",
   "SBRCD","Brocade Comm. (ceee cpoca)","1",
   "SCAL","Continental Airlines (aaoa)","1",
   "SCOH","Coach Inc. (pa cooaeceo oe  NYSE)","1",
   "SCROX","Crocs Inc.  oa o)","1",
   "SCSCO","Cisco System (ceee cpoca)","1",
   "SCPA","Copa Holdings (aaoa)","1",
   "SCRAY","Cray Inc. (oep)","1",
   "SCSH","Cash America Int. (ac)","1",
   "SCS","Credit  Suiss (ac)","1",
   "SCTSH","Cognizant Techn. (exoo)","1",
   "SCVX","Chevron (e)","1",
   "SDAKT","Daktronics (peaa)","1",
   "SDIVX","DivX Inc. (popaoe oeceee)","1",
   "SICOC","ICO Inc.(x-ac)","1",
   "SIIG","Imergent Inc. (epe)","1",
   "SINFY","Infosys Techn. (exoo)","1",
   "SGES","Guess?Inc. (NYSE)","1",
   "SGM","General Motors (aooecpoee)","1",
   "SGD","General Dynamics Corp. (pa oopoa  aa)","1",
   "SGLDN","Golden Telecom (eeo)","1",
   "SGOOG","Google inc. (epe)","1",
   "SGROW","US Global Investors (ec)","1",
   "SGS","Goldman Sachs (ac)","1",
   "SGT","Goodeyear Tire (pooe aope)","1",
   "SHPQ","Hewlett Packard (oep)","1",
   "SJSDA","Jones Soda ( a)","1",
   "SLMT","Lockeed Martin (pa oopoa  aa)","1",
   "SLVS","Las Vegas Sands (ao)","1",
   "SMA","Master Card (ac)","1",
   "SMS","Morgan Stanley (ac)","1",
   "SMSFT","Microsoft (pop. oeceee)","1",
   "SNDAQ","Nasdaq Stock (pa  NASDAQ)","1",
   "SNENG","Network Eng. (oep)","1",
   "SNTRI","Nutri Syst. (exoo)","1",
   "SNVDA","NVidia (oep)","1",
   "SNYX","Nyse Group (pa)","1",
   "SWW","Watson Wyatt Worldwide Inc. (ocaoe c)","1",
   "SSNP","China Petr. (e)","1",
   "SRIMM","Research in Motion (pooe BlackBerry)","1",
   "SPOT","Potash Corp. (x-ope)","1",
   "SWBD","Wimm Bill Dann (po a)","1",
   "SQQQQ","QQQQ(ec NASDAQ)","1",
   "SSOFO","Sonic Foundry (oep)","1",
   "STXI","Texas Ind. (cpoeco)","1",
   "STM","Toyota Motor (aooecpoee)","1",
   "STRA","Terra Ind. (x-ope)","1",
   "SXOM","Exxon (e)","1",
   "GBPCAD","Great Britain Pound vs Canadian Dollar","1",
   "USDSGD","US Dollar vs","1",
   "USDSEK","US Dollar vs","1",
   "USDZAR","US Dollar vs","1",
   "GBPAUD","Great Britain Pound vs Australian Dollar","1",
   "SGE","General Electric Co. (cpa ooepa","1",
   "SMMM","3M Co (cpa ooepa","1",
   "SAA","Alcoa Inc. (ea)","1",
   "SMO","Altria Group Inc. (aa)","1",
   "SAIG","American International Group Inc. (cpaxoae)","1",
   "SAXP","American Express Co. (ac)","1",
   "ST","AT&T Inc. (eeo)","1",
   "SCAT","Caterpillar Inc. (pooco ex)","1",
   "SC","Citigroup Inc. (ac  NYSE)","1",
   "SKO","Coca-Cola Co. (a","1",
   "SDIS","Walt Disney Co. (paee)","1",
   "SDD","EI Du Pont de Nemours & Co. (x)","1",
   "SHD","Home Depot Inc. (opo)","1",
   "SHON","Honeywell International Inc. (oopoa  aa)","1",
   "SIBM","International Business Machines Corp. (oep)","1",
   "SINTC","Intel Corp. (opoo)","1",
   "SJNJ","Johnson & Johnson (ea)","1",
   "SJPM","JPMorgan Chase & Co. (ac)","1",
   "SMCD","McDonald\'s Corp. (ae)","1",
   "SMRK","Merck & Co Inc. (ea)","1",
   "SPFE","Pfizer Inc. (apep)","1",
   "SPG","Procter & Gamble Co. (pooco oapo)","1",
   "SUTX","United Technologies Corp. (oopoa  aa)","1",
   "SVZ","Verizon Communications Inc. (eeo)","1",
   "SWMT","Wal-Mart Stores Inc. (poa)","1",
   "SARO","Aeropostale Inc. (oea)","1",
   "SATI","Allegheny Technologies Inc. (ea)","1",
   "SALGT","Allegiant Travel Company (aaepeo)","1",
   "SAB","Alliance Capital Management Holding L.P.  (ac)","1",
   "SAEOS","American Eagle Outfitters (oea  o)","1",
   "SAOB","American Oriental Bioengineering Inc. (oeep)","1",
   "SHRT","Arrhythmia Research Technology (ecoe oopoae)","1",
   "SALC","Assisted Living Concepts Inc. (oe c)","1",
   "SATNI","Atlantic Tele-Network Inc. (eeo)","1",
   "SAVTR","Avatar Holdings Inc. (eoc)","1",
   "SBT","BT Group PLC (eeoa)","1",
   "SBWP","Boardwalk Pipeline Partners LP (apa a)","1",
   "SCBG","CB Richard Ellis Group Inc. (oca)","1",
   "SCHINA","CDC Corp. (popaoe oeceee)","1",
   "SKMX","Carmax Inc. (poaa aooe)","1",
   "SCELG","Celgene Corp. (ea)","1",
   "SCHAP","Chaparral Steel Co. (pooco ca)","1",
   "SRIO","Cia Vale do Rio Doce (oa eeo p)","1",
   "SBAP","Credicorp Ltd. (ac)","1",
   "SCUTR","Cutera Inc. (ecoe oopoae)","1",
   "SCYNO","Cynosure Inc. (ecoe oopoae)","1",
   "SDECK","Deckers Outdoor Corp. (copa oea)","1",
   "SDLB","Dolby Laboratories Inc. (ao cce)","1",
   "SDLLR","Dollar Financial Corp. (ac. NASDAQ)","1",
   "SEZPW","Ezcorp Inc. (ce aao)","1",
   "SFMCN","Focus Media Holding Ltd. (acc-ea)","1",
   "SFTEK","Fuel Tech Inc. (opo a opae cpeo)","1",
   "SGSOL","Global Sources Ltd. (opooe ocpeeco)","1",
   "SGEF","Greif Inc. (pooco ao)","1",
   "SHMSY","HMS Holdings Corp. (c)","1",
   "SHPC","Hercules Inc. (x)","1",
   "SHLT","Hilton Hotels Corp. (oe)","1",
   "SHMIN","Home Inns & Hotels Management Inc. (oe)","1",
   "SHXM","Desarrolladora Homex SAB de CV (cpoeco a)","1",
   "SICON","Iconix Brand Group Inc. (cope oap)","1",
   "SBLUD","Immucor Inc. (aocecoe oopoae)","1",
   "SIMKTA","Ingles Markets Inc. (ee po)","1",
   "SICE","IntercontinentalExchange Inc. (ac)","1",
   "SIGLD","Internet Gold-Golden Lines Ltd. (epe-poaep)","1",
   "SJST","Jinpan International Ltd. (epooe oopoae)","1",
   "SKCI","Kinetic Concepts Inc. (ecoe oopoae  NYSE)","1",
   "SLHCG","LHC Group Inc. (ece c)","1",
   "SLFL","Lan Airlines SA (aaepeo)","1",
   "SMFW","MFS Special Value Trust (ec)","1",
   "SWFR","MEMC Electronic Materials Inc. (epoa)","1",
   "SMGM","MGM Mirage (op ec)","1",
   "SMIDD","Middleby Corp. (pooco ox oapo)","1",
   "SMICC","Millicom International Cellular SA (eeo)","1",
   "SMBT","Mobile Telesystems OJSC (eeo)","1",
   "SNTGR","Netgear Inc. (ceeoe oopoae)","1",
   "SJWN","Nordstrom Inc. (oea  o)","1",
   "SPTNR","Partner Communications (eeo)","1",
   "SPSPT","PeopleSupport Inc. (ocpeece c)","1",
   "SPRFT","Perficient Inc. (ocpece c. NASDAQ)","1",
   "SPHLY","Philadelphia Consolidated Holding Co. (po. oapo)","1",
   "SPHI","Philippine Long Distance Telephone Co. (eeo)","1",
   "SPVH","Phillips-Van Heusen (oea  o)","1",
   "SRL","Polo Ralph Lauren Corp. (pooco oapo)","1",
   "SPCP","Precision Castparts Corp. (pooco aace)","1",
   "SPCLN","Priceline.com Inc. (ocpeeca eeoc)","1",
   "SSEIC","SEI Investments Co. (ec. NASDAQ)","1",
   "SSWS","SWS Group Inc. (ac)","1",
   "SCRM","Salesforce.com Inc. (popaoe oeceee)","1",
   "SSAY","Satyam Computer Services Ltd. (popaoe oeceee)","1",
   "SSIMO","Silicon Motion Technology Corp. (opoo)","1",
   "SSBGI","Sinclair Broadcast Group Inc. (acc-ea)","1",
   "SPCU","Southern Copper Corp. (ea)","1",
   "SSTLD","Steel Dynamics Inc. (ea)","1",
   "SSF","Stifel Financial Corp. (ac)","1",
   "SSYNT","Sntel Inc.  oe  NASDAQ","1",
   "SSYX","Systemax Inc. (oep)","1",
   "STATTF","TAT Technologies Ltd. (aa  oopoa)","1",
   "STEF","Telefonica SA. (eeo","1",
   "STSTC","Telestone Technologies Corp. (ecpooa c)","1",
   "STPX","Tempur-Pedic International Inc. (oap  oa)","1",
   "STS","Tenaris SA (ea)","1",
   "STSRA","Tessera Technologies Inc. (opoo)","1",
   "SNCTY","The9 Ltd. (popaoe oeceee)","1",
   "STSS","Total System Services Inc. (ac)","1",
   "SX","United States Steel Corp. (ea)","1",
   "SUSAP","Universal Stainless & Alloy (ea)","1",
   "SVCLK","Valueclick Inc. (epoa opo)","1",
   "SVDSI","Vasco Data Security Int. (epoa eoacoc)","1",
   "SPAY","VeriFone Holdings Inc. (popaoe oeceee)","1",
   "SVIP","Vimpel-Communications (ecpooa c)","1",
   "SVMC","Vulcan Materials Co. (cpoea exa)","1",
   "SWEBX","WebEx Communications Inc. (popaoe oeceee)","1",
   "SAAPLtest","SAAPLtest","1",
   "ZB","30 Year U.S. Bond - eCBOT (03:00 - 01:00) Z7 (f/n 19.12.07)","1",

   /*Straighthold Investment Group, Inc.*/

   "USDCHF","Swiss Franc vs US Dollar","2",
   "GBPUSD","Great Britan vs US Dollar","2",
   "EURUSD","Euro vs US Dollar","2",
   "USDJPY","US Dollar vs Japanese Yen","2",
   "USDCAD","US Dollar vs Canadian","2",
   "NZDUSD","New Zealand Dollar vs US Dollar","2",
   "AUDUSD","Australian vs US Dollar","2",
   "EURGBP","Euro vs Great Britan","2",
   "EURCHF","Euro vs Swiss Franc","2",
   "EURJPY","Euro vs Japanese Yen","2",
   "EURCAD","Euro vs Canadian Dollar","2",
   "EURAUD","Euro vs Australian Dollar","2",
   "EURNZD","Euro vs New Zealand Dollar","2",
   "GBPCHF","Great Britan vs Swiss Franc","2",
   "GBPJPY","Great Britan vs Japanese Yen","2",
   "GBPCAD","Great Britan Pound vs Canadian Dollar","2",
   "GBPAUD","Great Britan Pound vs Australian Dollar","2",
   "GBPNZD","Great Britan Pound vs New Zealand Dollar","2",
   "CHFJPY","Swiss Franc vs Japanise Yen","2",
   "CADCHF","Canadian Dollar vs Swiss Franc","2",
   "AUDCHF","Australian Dollar vs Swiss Franc","2",
   "NZDCHF","New Zealand Dollar vs Swiss Franc","2",
   "CADJPY","Canadian Dollar vs Japanise Yen","2",
   "AUDJPY","Australian Dollar vs Japanise Yen","2",
   "NZDJPY","New Zealand Dollar vs Japanise Yen","2",
   "AUDCAD","Australian Dollar vs Canadian Dollar","2",
   "NZDCAD","New Zealand Dollar vs Canadian Dollar","2",
   "AUDNZD","Australian Dollar vs New Zealand Dollar","2",
   "XAUUSD","Spot Gold","2",
   "XAGUSD","Spot Silver","2",
   "USDDKK","US Dollar vs Denmark Kroner","2",
   "USDNOK","US Dollar vs Norway Kroner","2",
   "USDSEK","US Dollar vs Sweden Kronor","2",
   "USDSGD","US Dollar vs Singapore Dollar","2",
   "USDZAR","US Dollar vs South Africa Rand","2",
   "USDCZK","US Dollar vs Czech Koruna","2",
   "USDPLN","US Dollar vs Polish Zloty","2",
   "USDRUR","US Dollar vs Russian Ruble","2",
   "EURRUR","Euro vs Russian Rouble","2",
   "USDLFX","USD Index LiteForex.org","2",
   "EURLFX","EUR Index LiteForex.org","2",
   "GBPLFX","GBP Index LiteForex.org","2",
   "CHFLFX","CHF Index LiteForex.org","2",
   "LFXJPY","JPY Index LiteForex.org","2",
   "CADLFX","CAD Index LiteForex.org","2",
   "AUDLFX","AUD Index LiteForex.org","2",
   "NZDLFX","NZD Index LiteForex.org","2",
   "#AA","Alcoa Inc","2",
   "#AIG","American International Group Inc","2",
   "#AXP","American Express Company","2",
   "#BA","Boeing Company","2",
   "#C","Citigroup Inc","2",
   "#CAT","Caterpillar Inc","2",
   "#DD","DuPont","2",
   "#DIS","Walt Disney Company","2",
   "#EK","Eastman Kodak Company","2",
   "#GE","General Electric Corporation","2",
   "#GM","General Motors Corporation","2",
   "#GOOG","Google Inc.","2",
   "#HD","Home Depot Inc","2",
   "#HON","Honeywell International Inc","2",
   "#HPQ","Hewlett-Packard Company","2",
   "#IBM","IBM Corporation","2",
   "#INTC","Intel Corporation","2",
   "#IP","International Paper Company","2",
   "#JNJ","Johnson & Johnson","2",
   "#JPM","JPMorgan Chase & Co","2",
   "#KO","Coca-Cola Company","2",
   "#MCD","McDonald","2",
   "#MMM","3M Company","2",
   "#MO","Altria Group Inc","2",
   "#MRK","Merck & Co Inc","2",
   "#MSFT","Microsoft Corporation","2",
   "#PFE","Pfizer Inc","2",
   "#PG","Procter & Gamble Company","2",
   "#T","AT&T Inc","2",
   "#UTX","United Technologies Corporation","2",
   "#VZ","Verizon Communications Inc","2",
   "#WMT","Wal-Mart Stores Inc","2",
   "#XOM","ExxonMobil Corporation","2",
   "#AAPL","Apple Inc.","2",
   "#ABB","ABB Ltd.","2",
   "#ABM","ABM Industries Inc.","2",
   "#AMZN","Amazon.com Inc.","2",
   "#ASD","American Standard Cos Inc.","2",
   "#BAC","Bank of America Corporation","2",
   "#ABN","ABN AMRO Holdin   N.V.","2",
   "#AEP","American Electric Power Inc.","2",
   "#AMGN","Amgen Inc.","2",
   "#BAY","Bayer AG","2",
   "#BC","Brunswick Corporation","2",
   "#BDK","Black and Decker Corporation","2",
   "#BF","BASF AG","2",
   "#BGP","Borders Group Inc.","2",
   "#BKS","Barnes and Noble Inc.","2",
   "#BMY","Bristol-Myers Squibb","2",
   "#BNG","Benetton Group S.p.A.","2",
   "#CAJ","CANON Inc.","2",
   "#CC","Circuit City Stores Inc.","2",
   "#CIA","Citizens Inc.","2",
   "#CL","Colgate Palmolive Company","2",
   "#COP","ConocoPhilips","2",
   "#CSG","Cadbury Shweppes Group","2",
   "#CVX","Chevron Corporation","2",
   "#CY","Cypress Semiconductor","2",
   "#DLB","Dolby Laboratories Inc.","2",
   "#DWA","Dreamworks Animation SKG Inc.","2",
   "#EBAY","eBay Inc.","2",
   "#ELE","Endesa S.A.","2",
   "#EN","Enel S.p.A.","2",
   "#F","Ford Motor Company","2",
   "#FDX","FedEx Corporation","2",
   "#FDC","First Data Corporation","2",
   "#FIA","Fiat S.p.A.","2",
   "#FTE","France Telecom","2",
   "#GS","Goldman Sachs Group Inc.","2",
   "#HAL","Halliburton Company","2",
   "#HLF","Herbalife Ltd.","2",
   "#HLT","Hilton Hotels Corporation","2",
   "#HMC","Honda Motor Co. Ltd.","2",
   "#KEP","Korea Electric Power Corporation","2",
   "#KFT","Kraft Foods Inc.","2",
   "#KYO","Kyosera Corporation","2",
   "#LF","Leapfrog Enterprises Inc.","2",
   "#LMT","Lockheed Martin","2",
   "#LOW","Lowe\'s Companies","2",
   "#LXK","Lexmark International Inc.","2",
   "#LYG","Lloyds TSB Group","2",
   "#MBT","Mobile Telesystems","2",
   "#MC","Matsushita Electronic Indl.","2",
   "#MGM","MGM Mirage","2",
   "#MOT","Motorola Inc.","2",
   "#MT","Arcelor Mittal (MT)","2",
   "#MTL","Mechel Steel Group","2",
   "#MTU","Mitsubishi UFJ Financial Group Inc.","2",
   "#NEM","Newmont Mining Corporation","2",
   "#NKE","Nike Inc.","2",
   "#NOK","Nokia Corporation","2",
   "#NVS","Novartis Corporation","2",
   "#NYT","The New York Times Company","2",
   "#NZT","Telecom New Zealand","2",
   "#PDCO","Patterson Companies Inc.","2",
   "#PEP","PepsiCo Inc.","2",
   "#PHG","Royal Philips Electronics","2",
   "#PLA","Playboy Enterprise","2",
   "#PPG","PPG Industries Inc.","2",
   "#PSO","Pearson Plc.","2",
   "#SAP","SAP AG","2",
   "#SGP","Schering-Plough Corp.","2",
   "#SI","Siemens AG","2",
   "#SNE","Sony Corporation","2",
   "#SNY","Sanofi-Aventis","2",
   "#TDK","TDK Corporation","2",
   "#TEO","Telecom Argentina S.A.","2",
   "#TLM","Talisman Energy Inc.","2",
   "#TM","Toyota Motor Corporation","2",
   "#TRB","Tribune Company","2",
   "#TSM","Taiwan Semiconductor Manufacturing Company Ltd.","2",
   "#UL","Unilever Plc.","2",
   "#VRSN","VeriSign","2",
   "#WBD","Wimm Bill Dann Foods","2",
   "#WDC","Western Digital Corporation","2",
   "#WYNN","Wynn Resorts Limited","2",
   "#XRX","Xerox Corporation","2",
   "#YHOO","Yahoo","2",
   "#QQQ","CFD Nasdaq-100 Index Tracking Stock","2",
   "#DIA","CFD DIAMONDS","2",
   "#SPY","CFD Standart & Poor\'s Depositary Receipts","2",
   "USDRUB","US Dollar vs Russian Ruble","2",
   "EURRUB","Euro vs Russian Rouble","2",

   /*North Finance Company Ltd*/

   "GBPJPY","Great Britan vs Japanise Yen","3",
   "EURUSD","Euro vs US Dollar","3",
   "USDJPY","US Dollar vs Japanise Yen","3",
   "GBPUSD","Great Britan vs US Dollar","3",
   "USDCHF","Swiss Franc vs US Dollar","3",
   "AUDUSD","Australian vs US Dollar","3",
   "USDCAD","US Dollar vs Canadian","3",
   "NZDUSD","New Zeland Dollar vs US Dollar","3",
   "USDSEK","US Dollar vs Swedish Krona","3",
   "USDDKK","US Dollar vs Danish Krone","3",
   "USDNOK","US Dollar vs Norwegian Krone","3",
   "USDSGD","US Dollar vs Singapore Dollar","3",
   "EURAUD","Euro vs Australian Dollar","3",
   "EURCAD","Euro vs Canadian Dollar","3",
   "EURCHF","Euro vs Swiss Franc","3",
   "EURGBP","Euro vs Great Britan","3",
   "EURJPY","Euro vs Japanise Yen","3",
   "GBPCHF","Great Britan vs Swiss Franc","3",
   "GBPAUD","Great Britan vs Australian Dollar","3",
   "GBPCAD","Great Britan vs Canadian Dollar","3",
   "CHFJPY","Swiss Franc vs Japanise Yen","3",
   "AUDCAD","Australian Dollar vs Canadian Dollar","3",
   "AUDJPY","Australian Dollar vs Japan Yen","3",
   "CADJPY","Canadian Dollar vs Japan Yen","3",
   "USDRUB","US Dollar vs Russian Ruble","3",
   "SILVER","SPOT Silver Once vs US Dollar","3",
   "GOLD","SPOT Gold Once vs US Dollar","3",
   "DJI","Dow Jones Industrial Average Index","3",
   "DAX","DAX Perfomance Index","3",
   "NASDAQ","NASDAQ Combined Composite Index","3",
   "S&P500","S&P 500 Index","3",
   "#AA","Alcoa Inc","3",
   "#AIG","American International Group","3",
   "#AXP","American Express Co","3",
   "#BA","Boeing Co","3",
   "#C","Citigroup Inc","3",
   "#CAT","Caterpillar Inc","3",
   "#DD","Dupon EI De Nemours Co","3",
   "#DIS","Disney Co Walt Hldg Co","3",
   "#GE","General Electric Co","3",
   "#GM","General Motors Corp","3",
   "#HD","Home Pepot Inc","3",
   "#HON","Honeywell International","3",
   "#HPQ","Hewlett-Packard Co","3",
   "#IBM","International Buisness Machine","3",
   "#INTC","Intel Corporation","3",
   "#JNJ","Johnson and Jhons Dc","3",
   "#JPM","Jp Morgan Chase and Co","3",
   "#KO","Coca Cola Co The","3",
   "#MCD","McDonalds Corp","3",
   "#MMM","3M Company","3",
   "#MO","Altria Group Inc","3",
   "#MRK","Merck & Co Inc","3",
   "#MSFT","Microsoft Corporation","3",
   "#PFE","Pfizer","3",
   "#PG","Procter & Gamble Co","3",
   "#UTX","United Technologies Corp","3",
   "#VZ","Verizon Communications","3",
   "#WMT","Wal-Mart Stores Inc","3",
   "#XOM","Exxon Mobil Co","3",
   "#T","AT&T Inc.","3",
   "USDCCK","US Dollar vs Czech Koruna","3",
   "USDLVL","US Dollar vs Latvian Lats","3",
   "USDPLN","US Dollar vs Polish Zloty","3",
   "USDHUF","US Dollar vs Hungarian Forint","3",
   "USDSKK","US Dollar vs Slovak Koruna","3",
   "USDZAR","US Dollar vs South African Rand","3",
   "USDMXN","US Dollar vs Mexican Pesos","3",
   "EURCCK","Euro vs Czech Krouna","3",
   "EURDKK","Euro vs Danish Krone","3",
   "EURHUF","Euro vs Hungarian Forint","3",
   "EURNOK","Euro vs Norwegian Krone","3",
   "EURNZD","Euro vs New Zealand Dollar","3",
   "EURPLN","Euro vs Polish Zloty","3",
   "EURSEK","Euro vs Swedish Krona","3",
   "EURSGD","Euro vs Singapore Dollar","3",
   "EURSKK","Euro vs Slovak Koruna","3",
   "AUDCHF","Australian Dollar vs Swiss Franc","3",
   "AUDNZD","Australian Dollar vs New Zealand Dollar","3",
   "AUDSGD","Australian Dollar vs Singapore Dollar","3",
   "CADCHF","Canadian Dollar vs Swiss Franc","3",
   "GBPNZD","Great Britan Pound vs New Zealand Dollar","3",
   "GBPSGD","Great Britan Pound vs Singapore Dollar","3",
   "NZDCAD","New Zealand Dollar vs Canadian Dollar","3",
   "NZDCHF","New Zealand Dollar vs Swiss Franc","3",
   "NZDJPY","New Zealand Dollar vs Japanise Yen","3",
   "NZDSGD","New Zealand Dollar vs Singapore Dollar","3",
   "SGDJPY","Singapore Dollar vs Japanise Yen","3",
   "CHFSGD","Swiss Franc vs Singapore Dollar","3",
   "USDHKD","US Dollar vs Hong Kong Dollar","3",
   "AUDDKK","Australian Dollar vs Danish Krone","3",
   "AUDPLN","Australian Dollar vs Polish Zloty","3",
   "CHFCAD","Swiss Franc vs Canadian Dollar","3",
   "EURHKD","Euro vs Hong Kong Dollar","3",
   "EURLVL","Euro vs Latvian lats","3",
   "EURZAR","Euro vs South African Rand","3",
   "GBPDKK","British Pound vs Danish Krone","3",
   "GBPZAR","British Pound vs South African Rand","3",
   "GBPNOK","British Pound vs Norwegian Krone","3",
   "GBPSEK","British Pound vs Swedish Krona","3",
   "USDHRK","US Dollar vs Croatia Kuna","3",
   "USDLTL","US Dollar vs Lithuanian litas","3",
   "EURUSD!","Euro vs US Dollar","3",
   "GBPUSD!","Great Britan vs US Dollar","3",
   "USDCHF!","Swiss Franc vs US Dollar","3",
   "USDJPY!","US Dollar vs Japanise Yen","3",
   "AUDUSD!","Australian vs US Dollar","3",
   "USDCAD!","US Dollar vs Canadian","3",
   "NZDUSD!","New Zeland Dollar vs US Dollar","3",
   "EURCHF!","Euro vs Swiss Franc","3",
   "EURGBP!","Euro vs Great Britan","3",
   "EURJPY!","Euro vs Japanise Yen","3",
   "GBPCHF!","Great Britan vs Swiss Franc","3",
   "GBPJPY!","Great Britan vs Japanise Yen","3",
   "#EPZ7","December 2007 Futures S&P500 E-mini","3",
   "#ENQZ7","December 2007 Futures NASDAQ 100 E-mini","3",
   "#YMZ7","December 2007 Futures Mini-sized Dow","3",
   "#WZ7","December 2007 Wheat Future","3",
   "#CZ7","December 2007 Corn Future","3",
   "#SF8","January 2008 Soybean Future","3",
   "#CLF8","January 2008 Light","3",
   "#NGF8","January 2007 Natural Gas Future","3",
   "#WH8","March 2008 Wheat Future","3",
   "#CH8","March 2008 Corn Future","3",
   "#EPH8","March 2008 Futures S&P500 E-mini","3",
   "#ENQH8","March 2008 Futures NASDAQ 100 E-mini","3",
   "#YMH8","March 2008 Futures Mini-sized Dow","3",
   "#CLG8","February 2008 Light","3",
   "#NGG8","Februar   2008 Natural Gas Future","3",

   /*Alpari Ltd.*/

   "EURUSD","Euro vs US Dollar","4",
   "USDCHF","US Dollar vs Swiss Franc","4",
   "GBPUSD","Great Britain Pound vs US Dollar","4",
   "USDJPY","US Dollar vs Japanese Yen","4",
   "USDCAD","US Dollar vs Canadian Dollar","4",
   "AUDUSD","Australian Dollar vs US Dollar","4",
   "NZDUSD","New Zealand Dollar vs US Dollar","4",
   "EURAUD","Euro vs Australian Dollar","4",
   "EURCAD","Euro vs Canadian Dollar","4",
   "EURCHF","Euro vs Swiss Franc","4",
   "EURJPY","Euro vs Japanese Yen","4",
   "EURGBP","Euro vs Great Britain Pound","4",
   "EURNZD","Euro vs New Zealand Dollar","4",
   "GBPAUD","Great Britan Pound vs Australian Dollar","4",
   "GBPCAD","Great Britan Pound vs Canadian Dollar","4",
   "GBPCHF","Great Britain Pound vs Swiss Franc","4",
   "GBPJPY","Great Britain Pound vs Japanese Yen","4",
   "AUDEUR","Australian Dollar vs Euro","4",
   "AUDCAD","Australian Dollar vs Canadian Dollar","4",
   "AUDCHF","Australian Dollar vs Swiss Franc","4",
   "AUDNZD","Australian Dollar vs New Zealand Dollar","4",
   "AUDJPY","Australian Dollar vs Japanese Yen","4",
   "CADCHF","Canadian Dollar vs Swiss Franc","4",
   "CADJPY","Canadian Dollar vs Japanese Yen","4",
   "NZDGBP","New Zealand Dollar vs Great Britan Pound","4",
   "NZDCAD","New Zealand Dollar vs Canadian Dollar","4",
   "NZDCHF","New Zealand Dollar vs Swiss Franc","4",
   "NZDJPY","New Zealand Dollar vs Japanese Yen","4",
   "CHFJPY","Swiss Frank vs Japanese Yen","4",
   "EURDKK","Euro vs Danish Krone","4",
   "EURNOK","Euro vs Norwegian Krone","4",
   "EURHKD","Euro vs Hong Kong Dollar","4",
   "EURSEK","Euro vs Swedish Krone","4",
   "EURSGD","Euro vs Singapore Dollar","4",
   "GBPDKK","Great Britain Pound vs Danish Krone","4",
   "GBPNOK","Great Britain Pound vs Norwegian Krone","4",
   "GBPSEK","Great Britain Pound vs Swedish Krone","4",
   "GBPSGD","Great Britain Pound vs Singapore Dollar","4",
   "AUDDKK","Australian Dollar vs Danish Krone","4",
   "AUDNOK","Australian Dollar vs Norwegian Krone","4",
   "AUDSEK","Australian Dollar vs Swedish Krone","4",
   "AUDSGD","Australian Dollar vs Singapore Dollar","4",
   "USDDKK","US Dollar vs Denmark Kroner","4",
   "USDNOK","US Dollar vs Norway Kroner","4",
   "USDHKD","US Dollar vs Hong Kong Dollar","4",
   "USDSEK","US Dollar vs Sweden Kronor","4",
   "USDSGD","US Dollar vs Singapore Dollar","4",
   "USDZAR","US Dollar vs South Africa Rand","4",
   "USDMXN","US Dollar vs Mexican Peso","4",
   "CHFNOK","Swiss Franc vs Norwegian Krone","4",
   "CHFSGD","Swiss Franc vs Singapore Dollar","4",
   "NZDSGD","New Zealand Dollar vs Singapore Dollar","4",
   "SGDJPY","Singapore Dollar vs Japanese Yen","4",
   "GOLD","Gold (Spot)","4",
   "USDRUR","US Dollar vs Russian Rouble","4",
   "_SP500","_SP500","4",
   "_DJI","_DJI","4",
   "_NQCOMP","_NQCOMP","4",
   "_NQ100","_NQ100","4",
   "_DXY","Dollar Index Future (30min delayed)","4",
   "_C","CFD CORN FUTR","4",
   "_S","CFD SOYBEAN FUTR","4",
   "_W","CFD WHEAT FUTR","4",
   "_QG","CFD NATURAL GAZ MINY FUTR","4",
   "_GC","CFD GOLD FUTR","4",
   "_SI","CFD SILVER FUTR","4",
   "_ES","CFD E-Mini S&P 500","4",
   "_NQ","CFD E-Mini Nasdaq 100","4",
   "_QM","CFD LIGHT SWEET CRUDE OIL MINY FUTR","4",
   "#DIA","CFD DIAMONDS","4",
   "#SPY","CFD Standard & Poor\'s Depositary Receipts","4",
   "#QQQ","CFD Nasdaq-100 Index Tracking Stock","4",
   "#AA","Alcoa Inc","4",
   "#AIG","American International Group Inc","4",
   "#AXP","American Express Company","4",
   "#BA","Boeing Company","4",
   "#C","Citigroup Inc","4",
   "#CAT","Caterpillar Inc","4",
   "#DD","DuPont","4",
   "#DIS","Walt Disney Company","4",
   "#EK","Eastman Kodak Company","4",
   "#GE","General Electric Corporation","4",
   "#GM","General Motors Corporation","4",
   "#HD","Home Depot Inc","4",
   "#HON","Honeywell International Inc","4",
   "#HPQ","Hewlett-Packard Company","4",
   "#IBM","IBM Corporation","4",
   "#INTC","Intel Cor  oration","4",
   "#IP","International Paper Company","4",
   "#JNJ","Johnson & Johnson","4",
   "#JPM","JPMorgan Chase & Co","4",
   "#KO","Coca-Cola Company","4",
   "#MCD","McDonald","4",
   "#MMM","3M Company","4",
   "#MO","Altria Group Inc","4",
   "#MRK","Merck & Co Inc","4",
   "#MSFT","Microsoft Corporation","4",
   "#PFE","Pfizer Inc","4",
   "#PG","Procter & Gamble Company","4",
   "#T","AT&T Inc","4",
   "#UTX","United Technologies Corporation","4",
   "#VZ","Verizon Communications Inc","4",
   "#WMT","Wal-Mart Stores Inc","4",
   "#XOM","ExxonMobil Corporation","4",
   "#CZ7","Corn","4",
   "#WZ7","Wheat","4",
   "#ESZ7","E-Mini S&P 500","4",
   "#NQZ7","E-Mini Nasdaq 100","4",
   "#GCZ7","Gold","4",
   "#SIZ7","Silver","4",
   "#CH8","Corn","4",
   "#WH8","Wheat","4",
   "#SF8","Soybean","4",
   "#QMF8","Light Sweet Crude Oil (miNY)","4",
   "#QMG8","Light Sweet Crude Oil (miNY)","4",
   "#QGF8","Natural Gas (miNY)","4",
   "#ESH8","E-Mini S&P 500  Mar08","4",
   "#NQH8","E-Mini Nasdaq 100","4",
   "#GCG8","Gold","4",
   "#SIH8","Silver","4",
   "#AMGN","Amgen Inc.","4",
   "#APOL","Apollo Group","4",
   "#AAPL","Apple Inc.","4",
   "#ADSK","Autodesk","4",
   "#BEAS","BEA Systems","4",
   "#ATVI","Activision","4",
   "#ADBE","Adobe Systems Incorporated","4",
   "#AKAM","Akamai Technologies","4",
   "#ALTR","Altera Corporation","4",
   "#AMLN","Amylin Pharmaceuticals","4",
   "#AMZN","Amazon.com","4",
   "#AMAT","Applied Materials","4",
   "#BBBY","Bed Bath & Beyond Inc.","4",
   "#BIIB","Biogen Idec Inc","4",
   "#BRCM","Broadcom Corporation","4",
   "#CHRW","C.H. Robinson Worldwide","4",
   "#CDNS","Cadence Design Systems","4",
   "#CELG","Celgene Corporation","4",
   "#CEPH","Cephalon","4",
   "#CHKP","Check Point Software Technologies Ltd.","4",
   "#CTAS","Cintas Corporation","4",
   "#CSCO","Cisco Systems","4",
   "#CTXS","Citrix Systems","4",
   "#CTSH","Cognizant Technology Solutions Corporation","4",
   "#CMCSA","Comcast Corporation","4",
   "#COST","Costco Wholesale Corporation","4",
   "#DELL","Dell Inc.","4",
   "#XRAY","DENTSPLY International Inc.","4",
   "#DISCA","Discovery Holding Co","4",
   "#EBAY","eBay Inc.","4",
   "#DISH","EchoStar Communications Corporation","4",
   "#ERTS","Electronic Arts Inc.","4",
   "#EXPE","Expedia","4",
   "#EXPD","Expeditors International of Washington","4",
   "#ESRX","Express Scripts","4",
   "#FAST","Fastenal Company","4",
   "#FISV","Fiserv","4",
   "#FLEX","Flextronics International Ltd.","4",
   "#FWLT","Foster Wheeler Ltd.","4",
   "#GRMN","Garmin Ltd.","4",
   "#GENZ","Genzyme Corporation","4",
   "#GILD","Gilead Sciences","4",
   "#GOOG","Google Inc.","4",
   "#HSIC","Henry Schein","4",
   "#IACI","IAC/InterActiveCorp","4",
   "#INFY","Infosys Technologies Limited","4",
   "#INTU","Intuit Inc.","4",
   "#ISRG","Intuitive Surgical","4",
   "#JOYG","Joy Global Inc.","4",
   "#JNPR","Juniper Networks","4",
   "#KLAC","KLA-Tencor Corporation","4",
   "#LRCX","Lam Research Corporation","4",
   "#LAMR","Lamar Advertising Company","4",
   "#LEAP","Leap Wireless International","4",
   "#LVLT","Level 3 Communications  Inc.","4",
   "#LBTYA","Liberty Global","4",
   "#LINTA","Liberty Media Corporation","4",
   "#LLTC","Linear Technology Corporation","4",
   "#ERIC","LM Ericsson Telephone Company","4",
   "#LOGI","Logitech International S.A.","4",
   "#MRVL","Marvell Technology Group","4",
   "#MCHP","Microchip Technology Incorporated","4",
   "#MICC","Millicom International Cellular S.A.","4",
   "#MNST","Monster Worldwide","4",
   "#NTAP","Network Appliance","4",
   "#NIHD","NII Holdings","4",
   "#NVDA","NVIDIA Corporation","4",
   "#ORCL","Oracle Corporation","4",
   "#PCAR","PACCAR Inc.","4",
   "#PDCO","Patterson Companies Inc.","4",
   "#PTEN","Patterson-UTI Energy","4",
   "#PAYX","Paychex","4",
   "#PETM","PETsMART","4",
   "#QCOM","QUALCOMM Incorporated","4",
   "#RIMM","Research in Motion Limited","4",
   "#ROST","Ross Stores","4",
   "#RYAAY","Ryanair Holdings plc","4",
   "#SNDK","SanDisk Corporation","4",
   "#SHLD","Sears Holdings Corporation","4",
   "#SEPR","Sepracor Inc.","4",
   "#SIAL","Sigma-Aldrich Corporation","4",
   "#SIRI","Sirius Satellite Radio Inc.","4",
   "#SPLS","Staples","4",
   "#SBUX","Starbucks Corporation","4",
   "#SYMC","Symantec Corporation","4",
   "#TLAB","Tellabs","4",
   "#TEVA","Teva Pharmaceutical Industries Limited","4",
   "#UAUA","UAL Corporation","4",
   "#VRSN","VeriSign","4",
   "#VRTX","Vertex Pharmaceuticals Incorporated","4",
   "#VMED","Virgin Media Inc.","4",
   "#WFMI","Whole Foods Market","4",
   "#WYNN","Wynn Resorts","4",
   "#XLNX","Xilinx","4",
   "#XMSR","XM Satellite Radio Holdings Inc.","4",
   "#YHOO","Yahoo! Inc.","4",
   "#BBY","Best Buy Co.","4",
   "#CCU","Clear Channel Communications","4",
   "#COH","Coach","4",
   "#DTV","DIRECTV Group Inc.","4",
   "#F","Ford Motor","4",
   "#GPS","Gap (The)","4",
   "#GT","Goodyear Tire & Rubber","4",
   "#HOG","Harley-Davidson","4",
   "#JCI","Johnson Controls","4",
   "#KSS","Kohl\'s Corp.","4",
   "#LOW","Lowe\'s Cos.","4",
   "#M","Macy\'s Inc.","4",
   "#MAR","Marriott Int\'l.","4",
   "#MHP","McGraw-Hill","4",
   "#NKE","NIKE Inc.","4",
   "#OMC","Omnicom Group","4",
   "#TGT","Target Corp.","4",
   "#TWX","Time Warner Inc.","4",
   "#TJX","TJX Companies Inc.","4",
   "#YUM","Yum! Brands","4",
   "#ADM","Archer-Daniels-Midland","4",
   "#AVP","Avon Products","4",
   "#CPB","Campbell Soup","4",
   "#CL","Colgate-Palmolive","4",
   "#CVS","CVS Caremark Corp.","4",
   "#GIS","General Mills","4",
   "#KFT","Kraft Foods Inc-A","4",
   "#KR","Kroger Co.","4",
   "#PEP","PepsiCo Inc.","4",
   "#SYY","Sysco Corp.","4",
   "#WAG","Walgreen Co.","4",
   "#CVX","Chevron Corp.","4",
   "#COP","ConocoPhillips","4",
   "#MRO","Marathon Oil Corp.","4",
   "#NOV","National Oilwell Varco","4",
   "#OXY","Occidental Petroleum","4",
   "#SLB","Schlumberger Ltd.","4",
   "#ACE","ACE Limited","4",
   "#AFL","AFLAC Inc.","4",
   "#ALL","Allstate Corp.","4",
   "#BAC","Bank of America Corp.","4",
   "#BK","Bank of New York Mellon Corp. (New)","4",
   "#COF","Capital One Financial","4",
   "#CBG","CB Richard Ellis Group","4",
   "#BEN","Franklin Resources","4",
   "#GS","Goldman Sachs Group","4",
   "#LEH","Lehman Bros.","4",
   "#LTR","Loews Corp.","4",
   "#MER","Merrill Lynch","4",
   "#MS","Morgan Stanley","4",
   "#STT","State Street Corp.","4",
   "#TRV","The Travelers Companies","4",
   "#USB","U.S. Bancorp","4",
   "#WFC","Wells Fargo","4",
   "#ABT","Abbott Labs","4",
   "#AET","Aetna Inc.","4",
   "#AGN","Allergan","4",
   "#BAX","Baxter International Inc.","4",
   "#BSX","Boston Scientific","4",
   "#BMY","Bristol-Myers Squibb","4",
   "#COV","Covidien Ltd.","4",
   "#MHS","Medco Health Solutions Inc.","4",
   "#MDT","Medtronic Inc.","4",
   "#SGP","Schering-Plough","4",
   "#TMO","Thermo Fisher Scientific","4",
   "#UNH","United Health Group Inc.","4",
   "#WLP","WellPoint Inc.","4",
   "#WYE","Wyeth","4",
   "#CSX","CSX Corp.","4",
   "#DHR","Danaher Corp.","4",
   "#EMR","Emerson Electric","4",
   "#FDX","FedEx Corporation","4",
   "#GD","General Dynamics","4"};

   string tStr="";
      for(int i=0;i<ArraySize(AllSymbols);i+=3){
         if(AllSymbols[i]==aSymbol){
            tStr=AllSymbols[i+1];  
            aCompanyName=CompName[StrToInteger(AllSymbols[i+2])];
               if(!aCheckCompany){
                  return(tStr);
               }
               if(aCompanyName==AccountCompany()){
                  return(tStr);
               }
         }
      }
      if(tStr==""){
         tStr=aSymbol;
         aCompanyName="";
      }
   return(tStr);
}

